package com.ruoyi.business.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.*;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import lombok.Data;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.NoArgsConstructor;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.IdType;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 应用执行计划管理对象 ct_apply_plan
 *
 * @author LiuChengRan
 * @date 2024-06-14
 */
@Data
@Builder(toBuilder = true)
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value="ApplyPlan",description = "应用执行计划管理")
@TableName(value = "ct_apply_plan")
public class ApplyPlan extends BaseEntity
{
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;



    /** 计划名称 */
    @Excel(name = "计划名称")
    @ApiModelProperty(name="planName",value = "计划名称")
    private String planName;


    /** 执行类型（0指定机器人 1随机分配空闲） */
    @Excel(name = "执行类型", readConverterExp = "0=指定机器人,1=随机分配空闲")
    @ApiModelProperty(name="planType",value = "执行类型")
    private String planType;

    /** 计划执行的机器人名称 */
    @Excel(name = "计划执行的机器人名称")
    @ApiModelProperty(name="robotName",value = "计划执行的机器人名称")
    private String robotName;

    /** 应用类型名称 */
    @Excel(name = "应用类型名称")
    @ApiModelProperty(name="appTypeName",value = "应用类型名称")
    private String appTypeName;

    /** 应用名称 */
    @Excel(name = "应用名称")
    @ApiModelProperty(name="appName",value = "应用名称")
    private String appName;

    /** appid */
    @Excel(name = "appid")
    @ApiModelProperty(name="appId",value = "appid")
    private String appId;


    /** 应用类型枚举（app:应用 activity:指令） */
    @Excel(name = "应用类型枚举", readConverterExp = "app:应用,activity:指令")
    @ApiModelProperty(name="appType",value = "应用类型枚举")
    private String appType;

    /** 是否支持应用参数 */
    @Excel(name = "是否支持应用参数")
    @ApiModelProperty(name="supportParam",value = "是否支持应用参数")
    private Integer supportParam;

    /** 计划参数 */
    @Excel(name = "计划参数")
    @ApiModelProperty(name="planParams",value = "计划参数")
    private String planParams;

    /** 输出参数 */
    @Excel(name = "输出参数")
    @ApiModelProperty(name="outParam",value = "输出参数")
    private String outParam;

    /** 等待超时时间 */
    @Excel(name = "等待超时时间")
    @ApiModelProperty(name="waitTimeout",value = "等待超时时间")
    private String waitTimeout;

    /** 优先级 */
    @Excel(name = "优先级")
    @ApiModelProperty(name="priority",value = "优先级")
    private Integer priority;


    /** 执行类型（0立即执行 1指定时间执行 2周期执行） */
    @Excel(name = "执行类型", readConverterExp = "0=立即执行,1=指定时间执行,2=周期执行")
    @ApiModelProperty(name="excType",value = "执行类型")
    private String excType;


    /** 执行时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "执行时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(name="excTime",value = "执行时间")
    private Date excTime;

    /** 执行表达式 */
    @Excel(name = "执行表达式")
    @ApiModelProperty(name="cronExpression",value = "执行表达式")
    private String cronExpression;

    /** 上次执行时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "上次执行时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(name="lastExecTime",value = "上次执行时间")
    private Date lastExecTime;

    /** 下次执行时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "下次执行时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(name="nextExecTime",value = "下次执行时间")
    private Date nextExecTime;

    /** 任务执行状态 */
    @Excel(name = "任务执行状态")
    @ApiModelProperty(name="taskStatus",value = "任务执行状态")
    private String taskStatus;

    /** 任务运行uuid */
    @Excel(name = "任务运行uuid")
    @ApiModelProperty(name="taskUuid",value = "任务运行uuid")
    private String taskUuid;

    /** 预计人工耗时 */
    @Excel(name = "预计人工耗时")
    @ApiModelProperty(name="manualTime",value = "预计人工耗时")
    private String manualTime;



    /** 任务开始运行的时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "任务开始运行的时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(name="startTime",value = "任务开始运行的时间")
    private Date startTime;


    /** 任务结束运行的时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "任务结束运行的时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(name="endTime",value = "任务结束运行的时间")
    private Date endTime;

    /** 实际耗时 */
    @Excel(name = "实际耗时")
    @ApiModelProperty(name="planTime",value = "实际耗时")
    private String planTime;

    /** 节约时间 */
    @Excel(name = "节约时间")
    @ApiModelProperty(name="timeSaving",value = "节约时间")
    private String timeSaving;

    /** 部门id */
    @Excel(name = "部门id")
    @ApiModelProperty(name="deptId",value = "部门id")
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    @ApiModelProperty(name="deptName",value = "部门名称")
    private String deptName;

    /** 是否启用 */
    @Excel(name = "是否启用")
    @ApiModelProperty(name="enabled",value = "是否启用（0启用 1禁用）")
    private String enabled;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("planName", getPlanName())
                .append("planType", getPlanType())
                .append("robotName", getRobotName())
                .append("appTypeName", getAppTypeName())
                .append("appName", getAppName())
                .append("appId", getAppId())
                .append("appType", getAppType())
                .append("manualTime", getManualTime())
                .append("planParams", getPlanParams())
                .append("waitTimeout", getWaitTimeout())
                .append("priority", getPriority())
                .append("excType", getExcType())
                .append("excTime", getExcTime())
                .append("cronExpression", getCronExpression())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .append("deleted", getDeleted())
                .toString();
    }
}