package com.ruoyi.business.domain;


import com.baomidou.mybatisplus.annotation.*;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import lombok.Data;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.NoArgsConstructor;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.IdType;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 机器人管理对象 ct_rebot
 *
 * @author LiuChengRan
 * @date 2024-06-14
 */
@Data
@Builder(toBuilder = true)
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value="Rebot",description = "机器人管理")
@TableName(value = "ct_rebot")
public class Rebot extends BaseEntity
{
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;



    /** 机器人名称 */
    @Excel(name = "机器人名称")
    @ApiModelProperty(name="robotClientName",value = "机器人名称")
    private String robotClientName;

    /** 机器人Uuid信息 */
    @Excel(name = "机器人Uuid信息")
    @ApiModelProperty(name="robotClientUuid",value = "机器人Uuid信息")
    private String robotClientUuid;


    /** 运行状态（waiting:等待调度 running:任务运行中 finish:任务运行结束 stopping:任务正在停止 stopped:已结束  error:异常） */
    @Excel(name = "运行状态", readConverterExp = "waiting:等待调度,running:任务运行中,finish:任务运行结束,stopping:任务正在停止,stopped:已结束,error:异常")
    @ApiModelProperty(name="status",value = "运行状态")
    private String status;

    /** 描述 */
    @Excel(name = "描述")
    @ApiModelProperty(name="description",value = "描述")
    private String description;

    /** 客户端系统账号 */
    @Excel(name = "客户端系统账号")
    @ApiModelProperty(name="windowsAccount",value = "客户端系统账号")
    private String windowsAccount;

    /** 客户端ip */
    @Excel(name = "客户端ip")
    @ApiModelProperty(name="clientIp",value = "客户端ip")
    private String clientIp;

    /** 部门id */
    @Excel(name = "部门id")
    @ApiModelProperty(name="deptId",value = "部门id")
    private Long deptId;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("robotClientName", getRobotClientName())
                .append("robotClientUuid", getRobotClientUuid())
                .append("status", getStatus())
                .append("description", getDescription())
                .append("windowsAccount", getWindowsAccount())
                .append("clientIp", getClientIp())
                .append("deptId", getDeptId())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .append("deleted", getDeleted())
                .toString();
    }
}