package com.ruoyi.business.domain;

import com.baomidou.mybatisplus.annotation.*;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import lombok.Data;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.NoArgsConstructor;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.IdType;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 资源库管理对象 ct_resource_library
 *
 * @author LiuChengRan
 * @date 2024-06-17
 */
@Data
@Builder(toBuilder = true)
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value="ResourceLibrary",description = "资源库管理")
@TableName(value = "ct_resource_library")
public class ResourceLibrary extends BaseEntity
{
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;



    /** 资源描述 */
    @Excel(name = "资源描述")
    @ApiModelProperty(name="resource",value = "资源描述")
    private String resource;

    /** 资源内容 */
    @Excel(name = "资源内容")
    @ApiModelProperty(name="resourceValue",value = "资源内容")
    private String resourceValue;

    /** 资源类型 */
    @Excel(name = "资源类型")
    @ApiModelProperty(name="resourceType",value = "资源类型")
    private String resourceType;

    /** 资源键 */
    @Excel(name = "资源键")
    @ApiModelProperty(name="resourceName",value = "资源键")
    private String resourceName;

    /** 所属应用id */
    @Excel(name = "所属应用id")
    @ApiModelProperty(name="appId",value = "所属应用id")
    private String appId;

    /** 所属应用名称 */
    @Excel(name = "所属应用名称")
    @ApiModelProperty(name="appName",value = "所属应用名称")
    private String appName;

    /** 部门id */
    @Excel(name = "部门id")
    @ApiModelProperty(name="deptId",value = "部门id")
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    @ApiModelProperty(name="deptName",value = "部门名称")
    private String deptName;
    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("resource", getResource())
            .append("resourceValue", getResourceValue())
            .append("resourceType", getResourceType())
            .append("resourceName", getResourceName())
            .append("appName", getAppName())
            .append("deptId", getDeptId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("deleted", getDeleted())
            .toString();
    }
}
