package com.ruoyi.business.domain.bo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.business.domain.ResourceLibrary;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;
import java.util.List;

/**
 * 应用执行计划管理对象 ct_apply_plan
 *
 * @author LiuChengRan
 * @date 2024-06-14
 */
@Data
@Builder(toBuilder = true)
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value="ApplyPlan",description = "应用执行计划管理")
public class AddApplyPlanBO extends BaseEntity
{
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;



    /** 计划名称 */
    @Excel(name = "计划名称")
    @ApiModelProperty(name="planName",value = "计划名称")
    private String planName;


    /** 执行类型（0指定机器人 1随机分配空闲） */
    @Excel(name = "执行类型", readConverterExp = "0=指定机器人,1=随机分配空闲")
    @ApiModelProperty(name="planType",value = "执行类型")
    private String planType;

    /** 计划执行的机器人名称 */
    @Excel(name = "计划执行的机器人名称")
    @ApiModelProperty(name="robotName",value = "计划执行的机器人名称")
    private String robotName;

    /** 应用类型名称 */
    @Excel(name = "应用类型名称")
    @ApiModelProperty(name="appTypeName",value = "应用类型名称")
    private String appTypeName;

    /** 应用名称 */
    @Excel(name = "应用名称")
    @ApiModelProperty(name="appName",value = "应用名称")
    private String appName;

    /** appid */
    @Excel(name = "appid")
    @ApiModelProperty(name="appId",value = "appid")
    private String appId;


    /** 应用类型枚举（app:应用 activity:指令） */
    @Excel(name = "应用类型枚举", readConverterExp = "a=pp:应用,a=ctivity:指令")
    @ApiModelProperty(name="appType",value = "应用类型枚举")
    private String appType;

    /** 预计人工耗时 */
    @Excel(name = "预计人工耗时")
    @ApiModelProperty(name="manualTime",value = "预计人工耗时")
    private String manualTime;

    /** 是否支持应用参数 */
    @Excel(name = "是否支持应用参数")
    @ApiModelProperty(name="supportParam",value = "是否支持应用参数")
    private Integer supportParam;

    /** 参数 */
    @Excel(name = "参数")
    @ApiModelProperty(name="planParams",value = "参数")
    private String planParams;

    /** 等待超时时间 */
    @Excel(name = "等待超时时间")
    @ApiModelProperty(name="waitTimeout",value = "等待超时时间")
    private String waitTimeout;

    /** 优先级 */
    @Excel(name = "优先级")
    @ApiModelProperty(name="priority",value = "优先级")
    private Integer priority;


    /** 执行类型（0立即执行 1指定时间执行 2周期执行） */
    @Excel(name = "执行类型", readConverterExp = "0=立即执行,1=指定时间执行,2=周期执行")
    @ApiModelProperty(name="excType",value = "执行类型")
    private String excType;


    /** 执行时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "执行时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(name="excTime",value = "执行时间")
    private Date excTime;

    /** 执行表达式 */
    @Excel(name = "执行表达式")
    @ApiModelProperty(name="cronExpression",value = "执行表达式")
    private String cronExpression;


    @ApiModelProperty(name="resourceLibrarieList",value = "参数列表")
    @TableField(exist = false)
    private List<ResourceLibrary> resourceLibrarieList;

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("planName", getPlanName())
            .append("planType", getPlanType())
            .append("robotName", getRobotName())
            .append("appTypeName", getAppTypeName())
            .append("appName", getAppName())
            .append("appId", getAppId())
            .append("appType", getAppType())
            .append("manualTime", getManualTime())
            .append("params", getParams())
            .append("waitTimeout", getWaitTimeout())
            .append("priority", getPriority())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("deleted", getDeleted())
            .toString();
    }
}
