package com.ruoyi.business.domain.bo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.business.domain.ResourceLibrary;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.List;

/**
 * 资源库管理对象 ct_resource_library
 *
 * @author LiuChengRan
 * @date 2024-06-17
 */
@Data
@Builder(toBuilder = true)
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "ResourceLibrary", description = "资源库管理")
public class AddBatchResourceLibraryBO extends BaseEntity {
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    @Excel(name = "所属应用id")
    @ApiModelProperty(name = "appId", value = "所属应用id")
    private String appId;

    @Excel(name = "参数集合")
    @ApiModelProperty(name = "list", value = "参数集合")
    private List<ResourceLibrary> list;

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .append("deleted", getDeleted())
                .toString();
    }
}
