package com.ruoyi.business.domain.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;
import java.util.List;

/**
 * 应用信息管理对象 ct_apply
 *
 * @author LiuChengRan
 * @date 2024-06-13
 */
@Data
@Builder(toBuilder = true)
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "ApplyStartBO", description = "启动应用")
public class ApplyStartBO {
    private static final long serialVersionUID = 1L;

    /**
     * 冗余
     */
    @Excel(name = "计划名称")
    @ApiModelProperty(name="planName",value = "计划名称")
    private String planName;

    /** 预计人工耗时 */
    @Excel(name = "预计人工耗时")
    @ApiModelProperty(name="manualTime",value = "预计人工耗时")
    private String manualTime;

    /**
     * 指定的机器人名称
     * <p>
     * 与robotClientGroupUuid二选一
     */
    private String accountName;

    /**
     * 机器人分组Id
     * <p>
     * 与accountName二选一
     */
    private String robotClientGroupUuid;

    /**
     * 需要运行的应用
     * <p>
     * 必填
     */
    private String robotUuid;
    /** 计划参数 */
    @Excel(name = "计划参数")
    @ApiModelProperty(name="planParams",value = "计划参数")
    private String planParams;

    /**
     * 应用运行参数
     *
     * 非必填
     */
    private List<RobotParam> params;

    /**
     * 等待超时时间
     *
     * <p>
     * 非必填，不填，默认为10分钟
     */
    private String waitTimeout;

    /**
     * 优先级
     * 非必填，不填，默认为middle
     */
    private String priority;

    @Excel(name = "所属公司")
    @ApiModelProperty(name = "deptId", value = "所属公司")
    private Long deptId;

    /**
     * 应用运行参数
     */
    @Data
    public static class RobotParam {
        // 参数名
        private String name;
        // 参数值
        private String value;
        // 参数类型
        private String type;

    }
}
