package com.ruoyi.business.domain.bo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.io.Serializable;

/**
 * 机器人查询参数
 *
 * @author LiuChengRan
 * @date 2024-06-13
 */
@Data
@Builder(toBuilder = true)
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "ListRebotBO", description = "机器人查询参数")
public class ListRebotBO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "status", value = "机器人状态")
    private String status;

    @ApiModelProperty(name = "key", value = "关键字模糊搜索")
    private String key;

    @ApiModelProperty(name = "robotClientGroupUuid", value = "robotClientGroupUuid")
    private String robotClientGroupUuid;

    @ApiModelProperty(name = "page", value = "第几页")
    private Integer page;

    @ApiModelProperty(name = "size", value = "页大小")
    private Integer size;

}
