package com.ruoyi.business.domain.bo;

import lombok.Data;

import java.util.List;

/**
 * 任务结果数据对象
 */
@Data
public class YinDaoCallBackBO  {
    /**
     * 参考 DataTypeEnum
     */
    private String dataType;

    /**
     * 应用运行uuid
     */
    private String jobUuid;
    /**
     * @see YinDaoCallBackBO
     */
    private String status;
    /**
     * 运行描述
     */
    private String msg;
    /**
     * 应用运行参数
     */
    private List<RobotParam> result;
    /**
     * 任务开始运行的时间
     */
    private String startTime;

    /**
     * 任务结束运行的时间
     */
    private String endTime;
    /**
     * 执行的机器人uuid
     */
    private String robotClientUuid;

    /**
     * 机器人名称
     */
    private String robotClientName;
    /**
     * 应用名
     */
    private String robotName;

    /**
     * 应用运行参数
     */
    @Data
    public static class RobotParam {
        // 参数名
        private String name;
        // 参数值
        private String value;
        // 参数类型
        private String type;

    }
}
