package com.ruoyi.business.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 查询job响应
 *
 * @author boyi
 * @since 2022/8/26 10:17
 */
@Data
public class JobQueryLogVO {

    /**
     * 用于判断继续翻页时是否有数据，可用作翻页按钮置灰操作比如当往下翻页到20页时，第21页没有数据，则在20页时hasData为false，表示不能继续往下翻页，只能往上翻页
     */
    private Boolean hasData;


    /**
     * 往下翻页时，可作为 cursorId 使用，表示从这个id开始往下翻页
     */
    private Long nextId;

    /**
     * 往上翻页时，可作为 cursorId 使用，表示从这个id开始往上翻页
     */
    private Long preId;

    /**
     * 当前的翻页方向 next表示当前往下翻页 pre表示当前往上翻页
     */
    private String cursorDirection;

    /**
     * 日志
     */
    private List<DataList> dataList;

    /**
     * 任务结束运行的时

    /**
     * 应用运行参数
     */
    @Data
    public static class DataList {
        private String id;
        private String jobUuid;
        private String status;
        private String taskName;
        private String robotUuid;
        private String robotName;
        private String triggerTime;
        private String robotClientUuid;
        // remark
        private String remark;

    }

}