package com.ruoyi.business.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 查询job响应
 *
 * @author boyi
 * @since 2022/8/26 10:17
 */
@Data
public class JobQueryVO {

    /**
     * 启动的任务的uuid
     *
     * 不为空
     */
    private String jobUuid;

    /**
     * 任务状态
     *
     *  不为空
     * @see com.xybot.api.sdk.enums.JobStatusEnum
     */
    private String status;

    /**
     * 任务状态名称
     *
     *  不为空
     *
     * @see com.xybot.api.sdk.enums.JobStatusEnum
     */
    private String statusName;

    /**
     * 运行的应用
     *
     * 不为空
     */
    private String robotUuid;

    /**
     * 运行的应用名称
     *
     * 不为空
     */
    private String robotName;

    /**
     * 任务开始运行的时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    /**
     * 任务结束运行的时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    /**
     * 备注
     */
    private String remark;

    /**
     * 应用运行参数
     */
    private Param robotParams;

    /**
     * 机器人账号
     *
     * 不为空
     */
    private String robotClientUuid;

    /**
     * 机器人名称
     *
     * 不为空
     */
    private String robotClientName;



    /**
     * 应用运行参数
     */
    @Data
    public static class RobotParam {
        // 参数名
        private String name;
        // 参数值
        private String value;
        // 参数类型
        private String type;

    }

    /**
     * 应用运行参数
     */
    @Data
    public static class Param {
        // 输入参数
        private List<RobotParam> inputs;
        // 输出参数
        private List<RobotParam> outputs;

    }
}