package com.ruoyi.business.domain.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 应用信息管理对象 ct_apply
 *
 * @author LiuChengRan
 * @date 2024-06-13
 */
@Data
@Builder(toBuilder = true)
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value="ListApplyVO",description = "应用信息管理")
public class ListApplyVO extends BaseEntity
{
    private static final long serialVersionUID = 1L;
    /** 应用所有者名称 */
    @Excel(name = "应用所有者名称")
    @ApiModelProperty(name="ownerName",value = "应用所有者名称")
    private String ownerName;
    /** 应用所有者账号 */
    @Excel(name = "应用所有者账号")
    @ApiModelProperty(name="ownerAccount",value = "应用所有者账号")
    private String ownerAccount;
    /** 所有者id */
    @Excel(name = "所有者id")
    @ApiModelProperty(name="ownerId",value = "所有者id")
    private String ownerId;
    /** appid */
    @Excel(name = "appid")
    @ApiModelProperty(name="appId",value = "appid")
    private String appId;
    /** 应用名称 */
    @Excel(name = "应用名称")
    @ApiModelProperty(name="appName",value = "应用名称")
    private String appName;
    /** 应用类型名称 */
    @Excel(name = "应用类型名称")
    @ApiModelProperty(name="appTypeName",value = "应用类型名称")
    private String appTypeName;
    /** 应用类型枚举（app:应用 activity:指令） */
    @Excel(name = "应用类型枚举", readConverterExp = "a=pp:应用,a=ctivity:指令")
    @ApiModelProperty(name="appType",value = "应用类型枚举")
    private String appType;
    /** 应用创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "应用创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(name="appCreateTime",value = "应用创建时间")
    private Date appCreateTime;
    /** 应用修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "应用修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(name="appUpdateTime",value = "应用修改时间")
    private Date appUpdateTime;
    /** 版本，值内容：未发版、版本 */
    @Excel(name = "版本，值内容：未发版、版本")
    @ApiModelProperty(name="version",value = "版本，值内容：未发版、版本")
    private String version;
    /** 是否支持应用参数 */
    @Excel(name = "是否支持应用参数")
    @ApiModelProperty(name="supportParam",value = "是否支持应用参数")
    private Integer supportParam;
    /** icon图下载地址 */
    @Excel(name = "icon图下载地址")
    @ApiModelProperty(name="icon",value = "icon图下载地址")
    private String icon;
    /** 预计人工耗时 */
    @Excel(name = "预计人工耗时")
    @ApiModelProperty(name="manualTime",value = "预计人工耗时")
    private String manualTime;
    /** 总计节约时间 */
    @Excel(name = "总计节约时间")
    @ApiModelProperty(name="timeSaving",value = "总计节约时间")
    private String timeSaving;
    /** 所属公司 */
    @Excel(name = "所属公司")
    @ApiModelProperty(name="deptId",value = "所属公司")
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    @ApiModelProperty(name="deptName",value = "部门名称")
    private String deptName;

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("ownerName", getOwnerName())
            .append("ownerAccount", getOwnerAccount())
            .append("ownerId", getOwnerId())
            .append("appId", getAppId())
            .append("appName", getAppName())
            .append("appTypeName", getAppTypeName())
            .append("appType", getAppType())
            .append("appCreateTime", getAppCreateTime())
            .append("appUpdateTime", getAppUpdateTime())
            .append("version", getVersion())
            .append("supportParam", getSupportParam())
            .append("icon", getIcon())
            .append("manualTime", getManualTime())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("deleted", getDeleted())
            .toString();
    }
}
