package com.ruoyi.business.domain.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 机器人管理对象 ct_rebot
 *
 * @author LiuChengRan
 * @date 2024-06-13
 */
@Data
@Builder(toBuilder = true)
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "ListRebotVo", description = "机器人管理")
public class ListRebotVO extends BaseEntity {

    private static final long serialVersionUID = 1L;


    /** 机器人名称 */
    @Excel(name = "机器人名称")
    @ApiModelProperty(name="robotClientName",value = "机器人名称")
    private String robotClientName;

    /** 机器人Uuid信息 */
    @Excel(name = "机器人Uuid信息")
    @ApiModelProperty(name="robotClientUuid",value = "机器人Uuid信息")
    private String robotClientUuid;


    /** 运行状态（waiting:等待调度 running:任务运行中 finish:任务运行结束 stopping:任务正在停止 stopped:已结束  error:异常） */
    @Excel(name = "运行状态", readConverterExp = "w=aiting:等待调度,r=unning:任务运行中,f=inish:任务运行结束,s=topping:任务正在停止,s=topped:已结束,e=rror:异常")
    @ApiModelProperty(name="status",value = "运行状态")
    private String status;

    /** 描述 */
    @Excel(name = "描述")
    @ApiModelProperty(name="description",value = "描述")
    private String description;

    /** 客户端系统账号 */
    @Excel(name = "客户端系统账号")
    @ApiModelProperty(name="windowsAccount",value = "客户端系统账号")
    private String windowsAccount;

    /** 客户端ip */
    @Excel(name = "客户端ip")
    @ApiModelProperty(name="clientIp",value = "客户端ip")
    private String clientIp;

    /** 部门id */
    @Excel(name = "部门id")
    @ApiModelProperty(name="deptId",value = "部门id")
    private Long deptId;

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("robotClientUuid", getRobotClientUuid())
                .append("status", getStatus())
                .append("description", getDescription())
                .append("clientIp", getClientIp())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .append("deleted", getDeleted())
                .toString();
    }
}
