package com.ruoyi.business.service;

import java.text.ParseException;
import java.util.List;

import com.ruoyi.business.domain.ApplyPlan;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.business.domain.bo.AddApplyPlanBO;
import com.ruoyi.business.domain.bo.ApplyStartBO;
import com.ruoyi.business.domain.bo.JobQueryBO;
import com.ruoyi.business.domain.bo.YinDaoCallBackBO;
import com.ruoyi.business.domain.vo.JobQueryVO;

/**
 * 应用执行计划管理Service接口
 *
 * @author LiuChengRan
 * @date 2024-06-14
 */
public interface IApplyPlanService extends IService<ApplyPlan> {


    /**
     * 修改运行时间
     * @param applyPlan
     * @return
     */
    boolean updateRunTime(ApplyPlan applyPlan) throws ParseException;

    /**
     * 影刀回调逻辑
     *
     * @param
     * @return
     */
    boolean ydCallBack(YinDaoCallBackBO yinDaoCallBackBO) ;


    /**
     * 重新运行
     *
     * @param
     * @return
     */
    boolean appRetry(JobQueryBO jobQueryBO) throws IllegalAccessException;

    /**
     * 停止运行
     *
     * @param
     * @return
     */
    boolean stopRun(JobQueryBO jobQueryBO) throws IllegalAccessException;

    /**
     * 更新计划应用执行结果
     *
     * @param
     * @return
     */
    void queryAppStartResult() throws IllegalAccessException;


    /**
     * 获取应用执行结果
     *
     * @return
     */
    boolean execPlan(ApplyStartBO applyStartBO,ApplyPlan applyPlan) throws IllegalAccessException;

    /**
     * 定时查询指定时间执行的数据
     *
     * @return
     */
    boolean runAppBySetTime() throws IllegalAccessException;

    /**
     * 表达式执行
     */
    boolean runAppByCron() throws IllegalAccessException;

    /**
     * 创建计划
     *
     * @param addApplyPlanBO
     * @return
     */
    boolean save(AddApplyPlanBO addApplyPlanBO) throws ParseException;

    /**
     * 修改计划
     *
     * @param addApplyPlanBO
     * @return
     */
    boolean update(AddApplyPlanBO addApplyPlanBO);

    /**
     * 查询应用执行计划管理列表
     *
     * @param applyPlan 应用执行计划管理
     * @return 应用执行计划管理集合
     */
    List<ApplyPlan> list(ApplyPlan applyPlan);

}
