package com.ruoyi.business.service;

import java.util.List;
import com.ruoyi.business.domain.Apply;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.business.domain.ApplyPlan;
import com.ruoyi.business.domain.ApplyPlanLog;
import com.ruoyi.business.domain.Rebot;
import com.ruoyi.business.domain.bo.ApplyStartBO;
import com.ruoyi.business.domain.bo.JobQueryBO;
import com.ruoyi.business.domain.vo.JobQueryVO;
import com.ruoyi.business.domain.vo.JobStartVO;
import com.ruoyi.business.domain.vo.ListApplyVO;
import com.ruoyi.common.annotation.DataScope;

/**
 * 应用信息管理Service接口
 * 
 * @author LiuChengRan
 * @date 2024-06-13
 */
public interface IApplyService extends IService<Apply>
{
    /**
     * 启动应用
     * @return
     */
    JobStartVO appStart(ApplyStartBO applyStartBO) throws IllegalAccessException;
    /**
     * 查询应用运行结果
     * @return
     */
    JobQueryVO queryAppStartResult(JobQueryBO jobQueryBO) throws IllegalAccessException;
    /**
     * 同步应用数据
     * @return
     */
    void syn(Apply apply) throws IllegalAccessException;
    /**
     * 查询应用信息管理列表
     * 
     * @param apply 应用信息管理
     * @return 应用信息管理集合
     */
    List<ListApplyVO> list(Apply apply,List<ApplyPlan> planList, List<ApplyPlanLog> planLogList);

    /**
     * 查询所有应用信息列表
     *
     * @param apply 应用信息管理
     * @return 应用信息管理集合
     */
    List<Apply> listAll(Apply apply);

    /**
     * 修改应用实际执行时间
     * @param apply
     * @return
     */
    boolean updateRunDate(Apply apply);
}
