package com.ruoyi.business.service;

import java.util.List;

import com.ruoyi.business.domain.ResourceLibrary;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.business.domain.bo.AddBatchResourceLibraryBO;

/**
 * 资源库管理Service接口
 *
 * @author LiuChengRan
 * @date 2024-06-17
 */
public interface IResourceLibraryService extends IService<ResourceLibrary> {

    /**
     * 批量修改参数
     * @param addBatchResourceLibraryBO
     * @return
     */
    boolean updateBatch(AddBatchResourceLibraryBO addBatchResourceLibraryBO);

    /**
     * 批量添加参数
     *
     * @param addBatchResourceLibraryBO
     */
    boolean addBatch(AddBatchResourceLibraryBO addBatchResourceLibraryBO);

    /**
     * 查询资源库管理列表
     *
     * @param resourceLibrary 资源库管理
     * @return 资源库管理集合
     */
    List<ResourceLibrary> list(ResourceLibrary resourceLibrary, List<String> appIdList);

}
