package com.ruoyi.common.utils;

import java.lang.reflect.Field;
import java.util.HashMap;
import java.util.Map;

/**
 * 实体类转map
 */
public class BeanToMapUtil {
    public static <T> Map<String, Object> convertEntityToMap(T entity) throws IllegalAccessException {
        Map<String, Object> map = new HashMap<>();
        // 获取对象的类
        Class<?> clazz = entity.getClass();
        // 获取类中的所有字段
        Field[] fields = clazz.getDeclaredFields();
        // 遍历字段，将字段名和值存入Map
        for (Field field : fields) {
            // 设置字段可访问（非public字段需要设置访问权限）
            field.setAccessible(true);
            // 获取字段名
            String fieldName = field.getName();
            // 获取字段值
            Object fieldValue = field.get(entity);
            // 将字段名和值存入Map
            map.put(fieldName, fieldValue);
        }
        return map;
    }
}
