package com.ruoyi.quartz.task;

import com.ruoyi.business.domain.ApplyPlan;
import com.ruoyi.business.domain.bo.JobQueryBO;
import com.ruoyi.business.service.IApplyPlanService;
import com.ruoyi.common.enums.ExcTypeStatus;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import com.ruoyi.common.utils.StringUtils;

/**
 * 定时任务调度测试
 *
 * @author #author#
 */
@Component("ryTask")
@Slf4j
public class RyTask {
    @Autowired
    private IApplyPlanService applyPlanService;

    public void ryMultipleParams(String s, Boolean b, Long l, Double d, Integer i) {
        log.debug(StringUtils.format("执行多参方法： 字符串类型{}，布尔类型{}，长整型{}，浮点型{}，整形{}", s, b, l, d, i));
    }

    public void ryParams(String params) {
        log.debug("执行有参方法：" + params);
    }

    public void ryNoParams() {
        log.debug("执行无参方法");
    }

    /**
     * 按优先级执行立即执行的计划任务
     */
    public void runAppNow() throws IllegalAccessException {
        log.debug("执行顺序启动应用开始");
        applyPlanService.execPlan(null,null);
        log.debug("执行顺序启动应用结束");
    }

    /**
     * 指定时间执行一次
     */
    public void runAppBySetTime() throws IllegalAccessException {
        log.debug("指定时间执行一次开始");
        applyPlanService.runAppBySetTime();
        log.debug("指定时间执行一次结束");
    }


    /**
     * 表达式执行
     */
    public void runAppByCron() throws IllegalAccessException {
        log.debug("表达式执行开始");
        applyPlanService.runAppByCron();
        log.debug("表达式执行开始");
    }

    /**
     * 获取应用执行结果
     */
    public void getAppRunResult() throws IllegalAccessException {
        log.debug("更新应用执行结果开始");
        applyPlanService.queryAppStartResult();
        log.debug("更新应用执行结果结束");
    }



}
