/*
 Navicat Premium Data Transfer

 Source Server         : 本地数据库
 Source Server Type    : MySQL
 Source Server Version : 50738
 Source Host           : localhost:3306
 Source Schema         : dba

 Target Server Type    : MySQL
 Target Server Version : 50738
 File Encoding         : 65001

 Date: 01/04/2024 09:01:56
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for business_template
-- ----------------------------
DROP TABLE IF EXISTS `business_template`;
CREATE TABLE `business_template`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `title` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标题',
  `context` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '内容',
  `open` char(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否开放',
  `create_by` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '修改人',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '修改时间',
  `deleted` bigint(20) NULL DEFAULT 0 COMMENT '是否删除',
  `remark` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1774443791038652418 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '模版表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of business_template
-- ----------------------------
INSERT INTO `business_template` VALUES (1774327297961119745, '测试', 'test', '1', 'admin', '2024-03-31 14:46:08', NULL, NULL, 0, NULL);
INSERT INTO `business_template` VALUES (1774432972057894914, '测试2', '123123', '0', 'admin', '2024-03-31 21:46:03', 'admin', '2024-03-31 21:56:33', 0, NULL);
INSERT INTO `business_template` VALUES (1774438528533504001, 'test1', '123', '1', 'test1', '2024-03-31 22:08:07', NULL, NULL, 0, NULL);
INSERT INTO `business_template` VALUES (1774443791038652417, '这是测试', '123123', '0', 'admin', '2024-03-31 22:29:02', 'admin', '2024-03-31 22:30:45', 0, NULL);

-- ----------------------------
-- Table structure for business_template_prop
-- ----------------------------
DROP TABLE IF EXISTS `business_template_prop`;
CREATE TABLE `business_template_prop`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `title` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标题',
  `comp_type` char(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '组件类型（0单选框 1多选框）',
  `field_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '字段名',
  `plac_prompt` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '占位提示',
  `default_value` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '默认值',
  `optional_value` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '可选值',
  `open` char(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否开放',
  `temp_id` bigint(20) NULL DEFAULT NULL COMMENT '模版id',
  `sort` int(6) NULL DEFAULT 0 COMMENT '排序',
  `create_by` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '修改人',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '修改时间',
  `deleted` bigint(20) NULL DEFAULT 0 COMMENT '是否删除',
  `remark` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1774444094773370883 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '模版属性表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of business_template_prop
-- ----------------------------
INSERT INTO `business_template_prop` VALUES (12312312312, '爱好', '1', 'like', '请选择爱好', NULL, '0,电影|1,篮球', '1', 1774327297961119745, 0, 'admin', '2024-03-31 15:39:05', NULL, NULL, 0, NULL);
INSERT INTO `business_template_prop` VALUES (1774327728992964609, '性别', '0', 'sex', '请选择性别', NULL, '0,男|1,女', '1', 1774327297961119745, 0, 'admin', '2024-03-31 14:47:51', NULL, NULL, 0, NULL);
INSERT INTO `business_template_prop` VALUES (1774340622648369155, '姓名', '2', 'name', '请输入姓名', NULL, NULL, '1', 1774327297961119745, 0, 'admin', '2024-03-31 15:39:05', NULL, NULL, 0, NULL);
INSERT INTO `business_template_prop` VALUES (1774379056024895489, '多行', '3', 'doubleRows', '测试多行', NULL, NULL, NULL, 1774327297961119745, 0, 'admin', '2024-03-31 18:11:48', NULL, NULL, 0, NULL);
INSERT INTO `business_template_prop` VALUES (1774379229778132993, '密码', '4', 'pwd', NULL, NULL, NULL, NULL, 1774327297961119745, 0, 'admin', '2024-03-31 18:12:29', NULL, NULL, 0, NULL);
INSERT INTO `business_template_prop` VALUES (1774379365837160450, '计数器', '5', 'calcNum', NULL, NULL, NULL, NULL, 1774327297961119745, 0, 'admin', '2024-03-31 18:13:02', NULL, NULL, 0, NULL);
INSERT INTO `business_template_prop` VALUES (1774379705177325569, '下拉', '6', 'selected', NULL, NULL, '0,选择一|1,选择二', NULL, 1774327297961119745, 0, 'admin', '2024-03-31 18:14:23', NULL, NULL, 0, NULL);
INSERT INTO `business_template_prop` VALUES (1774379799100375041, '开关', '7', 'openOrClose', NULL, NULL, NULL, NULL, 1774327297961119745, 0, 'admin', '2024-03-31 18:14:45', NULL, NULL, 0, NULL);
INSERT INTO `business_template_prop` VALUES (1774379921293033474, '时间选择', '8', 'selectTime', NULL, NULL, NULL, NULL, 1774327297961119745, 0, 'admin', '2024-03-31 18:15:14', NULL, NULL, 0, NULL);
INSERT INTO `business_template_prop` VALUES (1774380021302018049, '时间范围', '9', 'beginEndTime', NULL, NULL, NULL, NULL, 1774327297961119745, 0, 'admin', '2024-03-31 18:15:38', NULL, NULL, 0, NULL);
INSERT INTO `business_template_prop` VALUES (1774441701222490114, 'ceshi', '2', '123', NULL, NULL, NULL, NULL, 1774438528533504001, 0, 'test1', '2024-03-31 22:20:44', NULL, NULL, 0, NULL);
INSERT INTO `business_template_prop` VALUES (1774444094773370882, '这是测试', '0', 'test', NULL, NULL, '1,张三|2,李四', NULL, 1774443791038652417, 0, 'admin', '2024-03-31 22:30:14', NULL, NULL, 0, NULL);

-- ----------------------------
-- Table structure for business_template_prop_value
-- ----------------------------
DROP TABLE IF EXISTS `business_template_prop_value`;
CREATE TABLE `business_template_prop_value`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `prop_id` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '字段id',
  `prop_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '字段名称',
  `prop_type` char(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '字段类型',
  `value_key` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '值键',
  `value_text` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '值描述',
  `value_sources` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '原值对象',
  `temp_id` bigint(20) NULL DEFAULT NULL COMMENT '模版id',
  `create_by` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '修改人',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '修改时间',
  `deleted` bigint(20) NULL DEFAULT 0 COMMENT '是否删除',
  `remark` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1774445984785481731 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '模版属性值表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of business_template_prop_value
-- ----------------------------
INSERT INTO `business_template_prop_value` VALUES (1774396727323815937, '12312312312', 'like', '1', '[0, 1]', '电影,篮球', '[0, 1]', 1774327297961119745, 'admin', '2024-03-31 19:22:01', 'admin', '2024-03-31 21:40:05', 0, NULL);
INSERT INTO `business_template_prop_value` VALUES (1774396727407702018, '1774327728992964609', 'sex', '0', '1', '女', '1', 1774327297961119745, 'admin', '2024-03-31 19:22:01', 'admin', '2024-03-31 21:40:05', 0, NULL);
INSERT INTO `business_template_prop_value` VALUES (1774396727470616578, '1774340622648369155', 'name', '2', '123', '123', '123', 1774327297961119745, 'admin', '2024-03-31 19:22:01', 'admin', '2024-03-31 21:40:05', 0, NULL);
INSERT INTO `business_template_prop_value` VALUES (1774396727470616579, '1774379056024895489', 'doubleRows', '3', '1231231231234345436梵蒂冈合法的', '1231231231234345436梵蒂冈合法的', '1231231231234345436梵蒂冈合法的', 1774327297961119745, 'admin', '2024-03-31 19:22:01', 'admin', '2024-03-31 21:40:05', 0, NULL);
INSERT INTO `business_template_prop_value` VALUES (1774396727470616580, '1774379229778132993', 'pwd', '4', '123', '123', '123', 1774327297961119745, 'admin', '2024-03-31 19:22:01', 'admin', '2024-03-31 21:40:05', 0, NULL);
INSERT INTO `business_template_prop_value` VALUES (1774396727470616581, '1774379365837160450', 'calcNum', '5', '1', '1', '1', 1774327297961119745, 'admin', '2024-03-31 19:22:01', 'admin', '2024-03-31 21:40:05', 0, NULL);
INSERT INTO `business_template_prop_value` VALUES (1774396727470616582, '1774379705177325569', 'selected', '6', '1', '选择二', '1', 1774327297961119745, 'admin', '2024-03-31 19:22:01', 'admin', '2024-03-31 21:40:05', 0, NULL);
INSERT INTO `business_template_prop_value` VALUES (1774396727537725441, '1774379799100375041', 'openOrClose', '7', 'false', 'false', 'false', 1774327297961119745, 'admin', '2024-03-31 19:22:01', 'admin', '2024-03-31 21:40:05', 0, NULL);
INSERT INTO `business_template_prop_value` VALUES (1774396727537725442, '1774379921293033474', 'selectTime', '8', '19:21:53', '19:21:53', '19:21:53', 1774327297961119745, 'admin', '2024-03-31 19:22:01', 'admin', '2024-03-31 21:40:05', 0, NULL);
INSERT INTO `business_template_prop_value` VALUES (1774396727537725443, '1774380021302018049', 'beginEndTime', '9', '[08:00:00, 08:00:00]', '[08:00:00, 08:00:00]', '[08:00:00, 08:00:00]', 1774327297961119745, 'admin', '2024-03-31 19:22:01', 'admin', '2024-03-31 21:40:05', 0, NULL);
INSERT INTO `business_template_prop_value` VALUES (1774444309521735682, '1774444094773370882', 'test', '0', '1', '张三', '1', 1774443791038652417, 'admin', '2024-03-31 22:31:06', NULL, NULL, 0, NULL);
INSERT INTO `business_template_prop_value` VALUES (1774445984785481730, '1774441701222490114', '123', '2', '123', '123', '123', 1774438528533504001, 'test1', '2024-03-31 22:37:45', NULL, NULL, 0, NULL);

-- ----------------------------
-- Table structure for gen_table
-- ----------------------------
DROP TABLE IF EXISTS `gen_table`;
CREATE TABLE `gen_table`  (
  `table_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '编号',
  `table_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '表名称',
  `table_comment` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '表描述',
  `sub_table_name` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '关联子表的表名',
  `sub_table_fk_name` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '子表关联的外键名',
  `class_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '实体类名称',
  `tpl_category` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT 'crud' COMMENT '使用的模板（crud单表操作 tree树表操作）',
  `package_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '生成包路径',
  `module_name` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '生成模块名',
  `business_name` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '生成业务名',
  `function_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '生成功能名',
  `function_author` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '生成功能作者',
  `gen_type` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '生成代码方式（0zip压缩包 1自定义路径）',
  `gen_path` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '/' COMMENT '生成路径（不填默认项目路径）',
  `options` varchar(1000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '其它生成选项',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`table_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 4 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '代码生成业务表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of gen_table
-- ----------------------------
INSERT INTO `gen_table` VALUES (1, 'business_template', '问卷调查表', NULL, NULL, 'BusinessTemplate', 'crud', 'com.ruoyi.business', 'business', 'template', '模版管理', 'ruoyi', '0', '/', '{\"parentMenuId\":\"2000\"}', 'admin', '2024-03-31 03:13:37', '', '2024-03-31 14:59:13', NULL);
INSERT INTO `gen_table` VALUES (2, 'business_template_prop', '模版属性表', NULL, NULL, 'BusinessTemplateProp', 'crud', 'com.ruoyi.business', 'business', 'templateProp', '模版属性', 'ruoyi', '0', '/', '{\"parentMenuId\":2000}', 'admin', '2024-03-31 14:23:17', '', '2024-03-31 14:35:33', NULL);
INSERT INTO `gen_table` VALUES (3, 'business_template_prop_value', '模版属性值表', NULL, NULL, 'BusinessTemplatePropValue', 'crud', 'com.ruoyi.business', 'business', 'templatePropValue', '模版属性值', 'ruoyi', '0', '/', '{\"parentMenuId\":2000}', 'admin', '2024-03-31 15:54:59', '', '2024-03-31 15:56:23', NULL);

-- ----------------------------
-- Table structure for gen_table_column
-- ----------------------------
DROP TABLE IF EXISTS `gen_table_column`;
CREATE TABLE `gen_table_column`  (
  `column_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '编号',
  `table_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '归属表编号',
  `column_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '列名称',
  `column_comment` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '列描述',
  `column_type` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '列类型',
  `java_type` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'JAVA类型',
  `java_field` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'JAVA字段名',
  `is_pk` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否主键（1是）',
  `is_increment` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否自增（1是）',
  `is_required` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否必填（1是）',
  `is_insert` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否为插入字段（1是）',
  `is_edit` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否编辑字段（1是）',
  `is_list` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否列表字段（1是）',
  `is_query` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否查询字段（1是）',
  `query_type` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT 'EQ' COMMENT '查询方式（等于、不等于、大于、小于、范围）',
  `html_type` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '显示类型（文本框、文本域、下拉框、复选框、单选框、日期控件）',
  `dict_type` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '字典类型',
  `sort` int(11) NULL DEFAULT NULL COMMENT '排序',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`column_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 40 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '代码生成业务表字段' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of gen_table_column
-- ----------------------------
INSERT INTO `gen_table_column` VALUES (1, '1', 'id', '主键', 'bigint(20)', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-03-31 03:13:37', '', '2024-03-31 14:59:13');
INSERT INTO `gen_table_column` VALUES (2, '1', 'title', '标题', 'varchar(100)', 'String', 'title', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-03-31 03:13:37', '', '2024-03-31 14:59:13');
INSERT INTO `gen_table_column` VALUES (3, '1', 'context', '内容', 'varchar(100)', 'String', 'context', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-03-31 03:13:37', '', '2024-03-31 14:59:13');
INSERT INTO `gen_table_column` VALUES (5, '1', 'create_by', '创建人', 'varchar(100)', 'String', 'createBy', '0', '0', NULL, '0', NULL, NULL, NULL, 'EQ', 'input', '', 5, 'admin', '2024-03-31 03:13:37', '', '2024-03-31 14:59:13');
INSERT INTO `gen_table_column` VALUES (6, '1', 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '0', NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'admin', '2024-03-31 03:13:37', '', '2024-03-31 14:59:13');
INSERT INTO `gen_table_column` VALUES (7, '1', 'update_by', '修改人', 'varchar(100)', 'String', 'updateBy', '0', '0', NULL, '0', '0', NULL, NULL, 'EQ', 'input', '', 7, 'admin', '2024-03-31 03:13:37', '', '2024-03-31 14:59:13');
INSERT INTO `gen_table_column` VALUES (8, '1', 'update_time', '修改时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '0', '0', NULL, NULL, 'EQ', 'datetime', '', 8, 'admin', '2024-03-31 03:13:37', '', '2024-03-31 14:59:13');
INSERT INTO `gen_table_column` VALUES (9, '1', 'deleted', '是否删除', 'bigint(20)', 'Long', 'deleted', '0', '0', NULL, '0', '0', '0', '0', 'EQ', 'input', '', 9, 'admin', '2024-03-31 03:13:37', '', '2024-03-31 14:59:13');
INSERT INTO `gen_table_column` VALUES (10, '1', 'remark', '备注', 'varchar(100)', 'String', 'remark', '0', '0', NULL, '0', '0', '0', NULL, 'EQ', 'input', '', 10, 'admin', '2024-03-31 03:13:37', '', '2024-03-31 14:59:13');
INSERT INTO `gen_table_column` VALUES (11, '1', 'open', '是否开放', 'char(10)', 'String', 'open', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'select', 'open', 4, '', '2024-03-31 14:23:14', '', '2024-03-31 14:59:13');
INSERT INTO `gen_table_column` VALUES (12, '2', 'id', '主键', 'bigint(20)', 'Long', 'id', '1', '1', NULL, '0', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-03-31 14:23:17', '', '2024-03-31 14:35:33');
INSERT INTO `gen_table_column` VALUES (13, '2', 'title', '标题', 'varchar(100)', 'String', 'title', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-03-31 14:23:17', '', '2024-03-31 14:35:33');
INSERT INTO `gen_table_column` VALUES (14, '2', 'comp_type', '组件类型（0单选框 1多选框）', 'char(10)', 'String', 'compType', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'select', 'comp_type', 3, 'admin', '2024-03-31 14:23:17', '', '2024-03-31 14:35:33');
INSERT INTO `gen_table_column` VALUES (15, '2', 'field_name', '字段名', 'varchar(100)', 'String', 'fieldName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 4, 'admin', '2024-03-31 14:23:17', '', '2024-03-31 14:35:33');
INSERT INTO `gen_table_column` VALUES (16, '2', 'plac_prompt', '占位提示', 'varchar(100)', 'String', 'placPrompt', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2024-03-31 14:23:17', '', '2024-03-31 14:35:33');
INSERT INTO `gen_table_column` VALUES (17, '2', 'default_value', '默认值', 'text', 'String', 'defaultValue', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'textarea', '', 6, 'admin', '2024-03-31 14:23:17', '', '2024-03-31 14:35:33');
INSERT INTO `gen_table_column` VALUES (18, '2', 'open', '是否开放', 'char(10)', 'String', 'open', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2024-03-31 14:23:17', '', '2024-03-31 14:35:33');
INSERT INTO `gen_table_column` VALUES (19, '2', 'temp_id', '模版id', 'bigint(20)', 'Long', 'tempId', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'select', '', 9, 'admin', '2024-03-31 14:23:17', '', '2024-03-31 14:35:33');
INSERT INTO `gen_table_column` VALUES (20, '2', 'create_by', '创建人', 'varchar(100)', 'String', 'createBy', '0', '0', NULL, '0', NULL, NULL, NULL, 'EQ', 'input', '', 10, 'admin', '2024-03-31 14:23:17', '', '2024-03-31 14:35:33');
INSERT INTO `gen_table_column` VALUES (21, '2', 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '0', NULL, NULL, NULL, 'EQ', 'datetime', '', 11, 'admin', '2024-03-31 14:23:17', '', '2024-03-31 14:35:33');
INSERT INTO `gen_table_column` VALUES (22, '2', 'update_by', '修改人', 'varchar(100)', 'String', 'updateBy', '0', '0', NULL, '0', '0', NULL, NULL, 'EQ', 'input', '', 12, 'admin', '2024-03-31 14:23:17', '', '2024-03-31 14:35:33');
INSERT INTO `gen_table_column` VALUES (23, '2', 'update_time', '修改时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '0', '0', NULL, NULL, 'EQ', 'datetime', '', 13, 'admin', '2024-03-31 14:23:17', '', '2024-03-31 14:35:33');
INSERT INTO `gen_table_column` VALUES (24, '2', 'deleted', '是否删除', 'bigint(20)', 'Long', 'deleted', '0', '0', NULL, '0', '0', '0', '0', 'EQ', 'input', '', 14, 'admin', '2024-03-31 14:23:17', '', '2024-03-31 14:35:33');
INSERT INTO `gen_table_column` VALUES (25, '2', 'remark', '备注', 'varchar(100)', 'String', 'remark', '0', '0', NULL, '0', '0', '0', NULL, 'EQ', 'input', '', 15, 'admin', '2024-03-31 14:23:17', '', '2024-03-31 14:35:33');
INSERT INTO `gen_table_column` VALUES (26, '2', 'optional_value', '可选值', 'varchar(100)', 'String', 'optionalValue', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 7, '', '2024-03-31 14:27:58', '', '2024-03-31 14:35:33');
INSERT INTO `gen_table_column` VALUES (27, '3', 'id', '主键', 'bigint(20)', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-03-31 15:54:59', '', '2024-03-31 18:23:24');
INSERT INTO `gen_table_column` VALUES (28, '3', 'prop_id', '字段id', 'varchar(100)', 'String', 'propId', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-03-31 15:54:59', '', '2024-03-31 18:23:24');
INSERT INTO `gen_table_column` VALUES (29, '3', 'prop_name', '字段名称', 'char(10)', 'String', 'propName', '0', '0', NULL, '1', '1', '1', '1', 'LIKE', 'input', '', 3, 'admin', '2024-03-31 15:54:59', '', '2024-03-31 18:23:24');
INSERT INTO `gen_table_column` VALUES (30, '3', 'value_key', '值键', 'varchar(100)', 'String', 'valueKey', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2024-03-31 15:54:59', '', '2024-03-31 18:23:24');
INSERT INTO `gen_table_column` VALUES (31, '3', 'value_text', '值描述', 'varchar(100)', 'String', 'valueText', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2024-03-31 15:54:59', '', '2024-03-31 18:23:24');
INSERT INTO `gen_table_column` VALUES (32, '3', 'temp_id', '模版id', 'bigint(20)', 'Long', 'tempId', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2024-03-31 15:54:59', '', '2024-03-31 18:23:24');
INSERT INTO `gen_table_column` VALUES (33, '3', 'create_by', '创建人', 'varchar(100)', 'String', 'createBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 8, 'admin', '2024-03-31 15:54:59', '', '2024-03-31 18:23:24');
INSERT INTO `gen_table_column` VALUES (34, '3', 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 9, 'admin', '2024-03-31 15:54:59', '', '2024-03-31 18:23:24');
INSERT INTO `gen_table_column` VALUES (35, '3', 'update_by', '修改人', 'varchar(100)', 'String', 'updateBy', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'input', '', 10, 'admin', '2024-03-31 15:54:59', '', '2024-03-31 18:23:24');
INSERT INTO `gen_table_column` VALUES (36, '3', 'update_time', '修改时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'datetime', '', 11, 'admin', '2024-03-31 15:54:59', '', '2024-03-31 18:23:24');
INSERT INTO `gen_table_column` VALUES (37, '3', 'deleted', '是否删除', 'bigint(20)', 'Long', 'deleted', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 12, 'admin', '2024-03-31 15:54:59', '', '2024-03-31 18:23:24');
INSERT INTO `gen_table_column` VALUES (38, '3', 'remark', '备注', 'varchar(100)', 'String', 'remark', '0', '0', NULL, '1', '1', '1', NULL, 'EQ', 'input', '', 13, 'admin', '2024-03-31 15:54:59', '', '2024-03-31 18:23:24');
INSERT INTO `gen_table_column` VALUES (39, '3', 'prop_type', '字段类型', 'char(10)', 'String', 'propType', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'select', '', 4, '', '2024-03-31 18:23:24', '', NULL);

-- ----------------------------
-- Table structure for qrtz_blob_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_blob_triggers`;
CREATE TABLE `qrtz_blob_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `blob_data` blob NULL COMMENT '存放持久化Trigger对象',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  CONSTRAINT `qrtz_blob_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = 'Blob类型的触发器表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_blob_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_calendars
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_calendars`;
CREATE TABLE `qrtz_calendars`  (
  `sched_name` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调度名称',
  `calendar_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '日历名称',
  `calendar` blob NOT NULL COMMENT '存放持久化calendar对象',
  PRIMARY KEY (`sched_name`, `calendar_name`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '日历信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_calendars
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_cron_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_cron_triggers`;
CREATE TABLE `qrtz_cron_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `cron_expression` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'cron表达式',
  `time_zone_id` varchar(80) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '时区',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  CONSTRAINT `qrtz_cron_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = 'Cron类型的触发器表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_cron_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_fired_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_fired_triggers`;
CREATE TABLE `qrtz_fired_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调度名称',
  `entry_id` varchar(95) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调度器实例id',
  `trigger_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `instance_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调度器实例名',
  `fired_time` bigint(13) NOT NULL COMMENT '触发的时间',
  `sched_time` bigint(13) NOT NULL COMMENT '定时器制定的时间',
  `priority` int(11) NOT NULL COMMENT '优先级',
  `state` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '状态',
  `job_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '任务名称',
  `job_group` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '任务组名',
  `is_nonconcurrent` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否并发',
  `requests_recovery` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否接受恢复执行',
  PRIMARY KEY (`sched_name`, `entry_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '已触发的触发器表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_fired_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_job_details
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_job_details`;
CREATE TABLE `qrtz_job_details`  (
  `sched_name` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调度名称',
  `job_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '任务名称',
  `job_group` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '任务组名',
  `description` varchar(250) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '相关介绍',
  `job_class_name` varchar(250) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '执行任务类名称',
  `is_durable` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '是否持久化',
  `is_nonconcurrent` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '是否并发',
  `is_update_data` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '是否更新数据',
  `requests_recovery` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '是否接受恢复执行',
  `job_data` blob NULL COMMENT '存放持久化job对象',
  PRIMARY KEY (`sched_name`, `job_name`, `job_group`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '任务详细信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_job_details
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_locks
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_locks`;
CREATE TABLE `qrtz_locks`  (
  `sched_name` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调度名称',
  `lock_name` varchar(40) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '悲观锁名称',
  PRIMARY KEY (`sched_name`, `lock_name`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '存储的悲观锁信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_locks
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_paused_trigger_grps
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_paused_trigger_grps`;
CREATE TABLE `qrtz_paused_trigger_grps`  (
  `sched_name` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调度名称',
  `trigger_group` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  PRIMARY KEY (`sched_name`, `trigger_group`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '暂停的触发器表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_paused_trigger_grps
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_scheduler_state
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_scheduler_state`;
CREATE TABLE `qrtz_scheduler_state`  (
  `sched_name` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调度名称',
  `instance_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '实例名称',
  `last_checkin_time` bigint(13) NOT NULL COMMENT '上次检查时间',
  `checkin_interval` bigint(13) NOT NULL COMMENT '检查间隔时间',
  PRIMARY KEY (`sched_name`, `instance_name`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '调度器状态表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_scheduler_state
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_simple_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_simple_triggers`;
CREATE TABLE `qrtz_simple_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `repeat_count` bigint(7) NOT NULL COMMENT '重复的次数统计',
  `repeat_interval` bigint(12) NOT NULL COMMENT '重复的间隔时间',
  `times_triggered` bigint(10) NOT NULL COMMENT '已经触发的次数',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  CONSTRAINT `qrtz_simple_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '简单触发器的信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_simple_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_simprop_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_simprop_triggers`;
CREATE TABLE `qrtz_simprop_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `str_prop_1` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'String类型的trigger的第一个参数',
  `str_prop_2` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'String类型的trigger的第二个参数',
  `str_prop_3` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'String类型的trigger的第三个参数',
  `int_prop_1` int(11) NULL DEFAULT NULL COMMENT 'int类型的trigger的第一个参数',
  `int_prop_2` int(11) NULL DEFAULT NULL COMMENT 'int类型的trigger的第二个参数',
  `long_prop_1` bigint(20) NULL DEFAULT NULL COMMENT 'long类型的trigger的第一个参数',
  `long_prop_2` bigint(20) NULL DEFAULT NULL COMMENT 'long类型的trigger的第二个参数',
  `dec_prop_1` decimal(13, 4) NULL DEFAULT NULL COMMENT 'decimal类型的trigger的第一个参数',
  `dec_prop_2` decimal(13, 4) NULL DEFAULT NULL COMMENT 'decimal类型的trigger的第二个参数',
  `bool_prop_1` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'Boolean类型的trigger的第一个参数',
  `bool_prop_2` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'Boolean类型的trigger的第二个参数',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  CONSTRAINT `qrtz_simprop_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '同步机制的行锁表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_simprop_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_triggers`;
CREATE TABLE `qrtz_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '触发器的名字',
  `trigger_group` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '触发器所属组的名字',
  `job_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'qrtz_job_details表job_name的外键',
  `job_group` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'qrtz_job_details表job_group的外键',
  `description` varchar(250) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '相关介绍',
  `next_fire_time` bigint(13) NULL DEFAULT NULL COMMENT '上一次触发时间（毫秒）',
  `prev_fire_time` bigint(13) NULL DEFAULT NULL COMMENT '下一次触发时间（默认为-1表示不触发）',
  `priority` int(11) NULL DEFAULT NULL COMMENT '优先级',
  `trigger_state` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '触发器状态',
  `trigger_type` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '触发器的类型',
  `start_time` bigint(13) NOT NULL COMMENT '开始时间',
  `end_time` bigint(13) NULL DEFAULT NULL COMMENT '结束时间',
  `calendar_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '日程表名称',
  `misfire_instr` smallint(2) NULL DEFAULT NULL COMMENT '补偿执行的策略',
  `job_data` blob NULL COMMENT '存放持久化job对象',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  INDEX `sched_name`(`sched_name`, `job_name`, `job_group`) USING BTREE,
  CONSTRAINT `qrtz_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `job_name`, `job_group`) REFERENCES `qrtz_job_details` (`sched_name`, `job_name`, `job_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '触发器详细信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for sys_config
-- ----------------------------
DROP TABLE IF EXISTS `sys_config`;
CREATE TABLE `sys_config`  (
  `config_id` int(5) NOT NULL AUTO_INCREMENT COMMENT '参数主键',
  `config_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '参数名称',
  `config_key` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '参数键名',
  `config_value` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '参数键值',
  `config_type` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT 'N' COMMENT '系统内置（Y是 N否）',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`config_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 6 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '参数配置表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_config
-- ----------------------------
INSERT INTO `sys_config` VALUES (1, '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 'admin', '2024-03-31 01:19:12', '', NULL, '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (2, '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 'admin', '2024-03-31 01:19:12', '', NULL, '初始化密码 123456');
INSERT INTO `sys_config` VALUES (3, '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 'admin', '2024-03-31 01:19:12', '', NULL, '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (4, '账号自助-验证码开关', 'sys.account.captchaEnabled', 'true', 'Y', 'admin', '2024-03-31 01:19:12', '', NULL, '是否开启验证码功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (5, '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'true', 'Y', 'admin', '2024-03-31 01:19:12', 'admin', '2024-03-31 02:03:41', '是否开启注册用户功能（true开启，false关闭）');

-- ----------------------------
-- Table structure for sys_dept
-- ----------------------------
DROP TABLE IF EXISTS `sys_dept`;
CREATE TABLE `sys_dept`  (
  `dept_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '部门id',
  `parent_id` bigint(20) NULL DEFAULT 0 COMMENT '父部门id',
  `ancestors` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '祖级列表',
  `dept_name` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '部门名称',
  `order_num` int(4) NULL DEFAULT 0 COMMENT '显示顺序',
  `leader` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '负责人',
  `phone` varchar(11) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '联系电话',
  `email` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '邮箱',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '部门状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`dept_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 101 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '部门表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_dept
-- ----------------------------
INSERT INTO `sys_dept` VALUES (100, 0, '0', '总公司', 0, '开发者', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-03-31 01:19:09', '', NULL);

-- ----------------------------
-- Table structure for sys_dict_data
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_data`;
CREATE TABLE `sys_dict_data`  (
  `dict_code` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '字典编码',
  `dict_sort` int(4) NULL DEFAULT 0 COMMENT '字典排序',
  `dict_label` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '字典标签',
  `dict_value` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '字典键值',
  `dict_type` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '字典类型',
  `css_class` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '样式属性（其他样式扩展）',
  `list_class` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '表格回显样式',
  `is_default` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT 'N' COMMENT '是否默认（Y是 N否）',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`dict_code`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 112 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '字典数据表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_dict_data
-- ----------------------------
INSERT INTO `sys_dict_data` VALUES (1, 1, '男', '0', 'sys_user_sex', '', '', 'Y', '0', 'admin', '2024-03-31 01:19:12', '', NULL, '性别男');
INSERT INTO `sys_dict_data` VALUES (2, 2, '女', '1', 'sys_user_sex', '', '', 'N', '0', 'admin', '2024-03-31 01:19:12', '', NULL, '性别女');
INSERT INTO `sys_dict_data` VALUES (3, 3, '未知', '2', 'sys_user_sex', '', '', 'N', '0', 'admin', '2024-03-31 01:19:12', '', NULL, '性别未知');
INSERT INTO `sys_dict_data` VALUES (4, 1, '显示', '0', 'sys_show_hide', '', 'primary', 'Y', '0', 'admin', '2024-03-31 01:19:12', '', NULL, '显示菜单');
INSERT INTO `sys_dict_data` VALUES (5, 2, '隐藏', '1', 'sys_show_hide', '', 'danger', 'N', '0', 'admin', '2024-03-31 01:19:12', '', NULL, '隐藏菜单');
INSERT INTO `sys_dict_data` VALUES (6, 1, '正常', '0', 'sys_normal_disable', '', 'primary', 'Y', '0', 'admin', '2024-03-31 01:19:12', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (7, 2, '停用', '1', 'sys_normal_disable', '', 'danger', 'N', '0', 'admin', '2024-03-31 01:19:12', '', NULL, '停用状态');
INSERT INTO `sys_dict_data` VALUES (8, 1, '正常', '0', 'sys_job_status', '', 'primary', 'Y', '0', 'admin', '2024-03-31 01:19:12', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (9, 2, '暂停', '1', 'sys_job_status', '', 'danger', 'N', '0', 'admin', '2024-03-31 01:19:12', '', NULL, '停用状态');
INSERT INTO `sys_dict_data` VALUES (10, 1, '默认', 'DEFAULT', 'sys_job_group', '', '', 'Y', '0', 'admin', '2024-03-31 01:19:12', '', NULL, '默认分组');
INSERT INTO `sys_dict_data` VALUES (11, 2, '系统', 'SYSTEM', 'sys_job_group', '', '', 'N', '0', 'admin', '2024-03-31 01:19:12', '', NULL, '系统分组');
INSERT INTO `sys_dict_data` VALUES (12, 1, '是', 'Y', 'sys_yes_no', '', 'primary', 'Y', '0', 'admin', '2024-03-31 01:19:12', '', NULL, '系统默认是');
INSERT INTO `sys_dict_data` VALUES (13, 2, '否', 'N', 'sys_yes_no', '', 'danger', 'N', '0', 'admin', '2024-03-31 01:19:12', '', NULL, '系统默认否');
INSERT INTO `sys_dict_data` VALUES (14, 1, '通知', '1', 'sys_notice_type', '', 'warning', 'Y', '0', 'admin', '2024-03-31 01:19:12', '', NULL, '通知');
INSERT INTO `sys_dict_data` VALUES (15, 2, '公告', '2', 'sys_notice_type', '', 'success', 'N', '0', 'admin', '2024-03-31 01:19:12', '', NULL, '公告');
INSERT INTO `sys_dict_data` VALUES (16, 1, '正常', '0', 'sys_notice_status', '', 'primary', 'Y', '0', 'admin', '2024-03-31 01:19:12', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (17, 2, '关闭', '1', 'sys_notice_status', '', 'danger', 'N', '0', 'admin', '2024-03-31 01:19:12', '', NULL, '关闭状态');
INSERT INTO `sys_dict_data` VALUES (18, 99, '其他', '0', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2024-03-31 01:19:12', '', NULL, '其他操作');
INSERT INTO `sys_dict_data` VALUES (19, 1, '新增', '1', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2024-03-31 01:19:12', '', NULL, '新增操作');
INSERT INTO `sys_dict_data` VALUES (20, 2, '修改', '2', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2024-03-31 01:19:12', '', NULL, '修改操作');
INSERT INTO `sys_dict_data` VALUES (21, 3, '删除', '3', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2024-03-31 01:19:12', '', NULL, '删除操作');
INSERT INTO `sys_dict_data` VALUES (22, 4, '授权', '4', 'sys_oper_type', '', 'primary', 'N', '0', 'admin', '2024-03-31 01:19:12', '', NULL, '授权操作');
INSERT INTO `sys_dict_data` VALUES (23, 5, '导出', '5', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2024-03-31 01:19:12', '', NULL, '导出操作');
INSERT INTO `sys_dict_data` VALUES (24, 6, '导入', '6', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2024-03-31 01:19:12', '', NULL, '导入操作');
INSERT INTO `sys_dict_data` VALUES (25, 7, '强退', '7', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2024-03-31 01:19:12', '', NULL, '强退操作');
INSERT INTO `sys_dict_data` VALUES (26, 8, '生成代码', '8', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2024-03-31 01:19:12', '', NULL, '生成操作');
INSERT INTO `sys_dict_data` VALUES (27, 9, '清空数据', '9', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2024-03-31 01:19:12', '', NULL, '清空操作');
INSERT INTO `sys_dict_data` VALUES (28, 1, '成功', '0', 'sys_common_status', '', 'primary', 'N', '0', 'admin', '2024-03-31 01:19:12', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (29, 2, '失败', '1', 'sys_common_status', '', 'danger', 'N', '0', 'admin', '2024-03-31 01:19:12', '', NULL, '停用状态');
INSERT INTO `sys_dict_data` VALUES (100, 0, '单选框组', '0', 'comp_type', NULL, 'default', 'N', '0', 'admin', '2024-03-31 14:24:26', 'admin', '2024-03-31 17:32:10', NULL);
INSERT INTO `sys_dict_data` VALUES (101, 0, '多选框组', '1', 'comp_type', NULL, 'default', 'N', '0', 'admin', '2024-03-31 14:24:45', 'admin', '2024-03-31 17:32:22', NULL);
INSERT INTO `sys_dict_data` VALUES (102, 0, '关闭', '0', 'open', NULL, 'default', 'N', '0', 'admin', '2024-03-31 14:36:45', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (103, 0, '开放', '1', 'open', NULL, 'default', 'N', '0', 'admin', '2024-03-31 14:36:53', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (104, 0, '单行文本', '2', 'comp_type', NULL, 'default', 'N', '0', 'admin', '2024-03-31 15:46:08', 'admin', '2024-03-31 17:31:57', NULL);
INSERT INTO `sys_dict_data` VALUES (105, 0, '多行文本', '3', 'comp_type', NULL, 'default', 'N', '0', 'admin', '2024-03-31 17:32:38', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (106, 0, '密码', '4', 'comp_type', NULL, 'default', 'N', '0', 'admin', '2024-03-31 17:32:48', 'admin', '2024-03-31 17:32:53', NULL);
INSERT INTO `sys_dict_data` VALUES (107, 0, '计数器', '5', 'comp_type', NULL, 'default', 'N', '0', 'admin', '2024-03-31 17:33:12', 'admin', '2024-03-31 17:33:16', NULL);
INSERT INTO `sys_dict_data` VALUES (108, 0, '下拉选择', '6', 'comp_type', NULL, 'default', 'N', '0', 'admin', '2024-03-31 17:33:55', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (109, 0, '开关', '7', 'comp_type', NULL, 'default', 'N', '0', 'admin', '2024-03-31 17:34:12', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (110, 0, '时间选择', '8', 'comp_type', NULL, 'default', 'N', '0', 'admin', '2024-03-31 17:35:01', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (111, 0, '时间范围', '9', 'comp_type', NULL, 'default', 'N', '0', 'admin', '2024-03-31 17:35:29', '', NULL, NULL);

-- ----------------------------
-- Table structure for sys_dict_type
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_type`;
CREATE TABLE `sys_dict_type`  (
  `dict_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '字典主键',
  `dict_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '字典名称',
  `dict_type` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '字典类型',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`dict_id`) USING BTREE,
  UNIQUE INDEX `dict_type`(`dict_type`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 102 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '字典类型表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_dict_type
-- ----------------------------
INSERT INTO `sys_dict_type` VALUES (1, '用户性别', 'sys_user_sex', '0', 'admin', '2024-03-31 01:19:12', '', NULL, '用户性别列表');
INSERT INTO `sys_dict_type` VALUES (2, '菜单状态', 'sys_show_hide', '0', 'admin', '2024-03-31 01:19:12', '', NULL, '菜单状态列表');
INSERT INTO `sys_dict_type` VALUES (3, '系统开关', 'sys_normal_disable', '0', 'admin', '2024-03-31 01:19:12', '', NULL, '系统开关列表');
INSERT INTO `sys_dict_type` VALUES (4, '任务状态', 'sys_job_status', '0', 'admin', '2024-03-31 01:19:12', '', NULL, '任务状态列表');
INSERT INTO `sys_dict_type` VALUES (5, '任务分组', 'sys_job_group', '0', 'admin', '2024-03-31 01:19:12', '', NULL, '任务分组列表');
INSERT INTO `sys_dict_type` VALUES (6, '系统是否', 'sys_yes_no', '0', 'admin', '2024-03-31 01:19:12', '', NULL, '系统是否列表');
INSERT INTO `sys_dict_type` VALUES (7, '通知类型', 'sys_notice_type', '0', 'admin', '2024-03-31 01:19:12', '', NULL, '通知类型列表');
INSERT INTO `sys_dict_type` VALUES (8, '通知状态', 'sys_notice_status', '0', 'admin', '2024-03-31 01:19:12', '', NULL, '通知状态列表');
INSERT INTO `sys_dict_type` VALUES (9, '操作类型', 'sys_oper_type', '0', 'admin', '2024-03-31 01:19:12', '', NULL, '操作类型列表');
INSERT INTO `sys_dict_type` VALUES (10, '系统状态', 'sys_common_status', '0', 'admin', '2024-03-31 01:19:12', '', NULL, '登录状态列表');
INSERT INTO `sys_dict_type` VALUES (100, '组件类型', 'comp_type', '0', 'admin', '2024-03-31 14:24:08', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (101, '是否开放', 'open', '0', 'admin', '2024-03-31 14:36:25', '', NULL, NULL);

-- ----------------------------
-- Table structure for sys_job
-- ----------------------------
DROP TABLE IF EXISTS `sys_job`;
CREATE TABLE `sys_job`  (
  `job_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '任务ID',
  `job_name` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '任务名称',
  `job_group` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT 'DEFAULT' COMMENT '任务组名',
  `invoke_target` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调用目标字符串',
  `cron_expression` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT 'cron执行表达式',
  `misfire_policy` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '3' COMMENT '计划执行错误策略（1立即执行 2执行一次 3放弃执行）',
  `concurrent` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '1' COMMENT '是否并发执行（0允许 1禁止）',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '状态（0正常 1暂停）',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '备注信息',
  PRIMARY KEY (`job_id`, `job_name`, `job_group`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 4 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '定时任务调度表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_job
-- ----------------------------
INSERT INTO `sys_job` VALUES (1, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams', '0/10 * * * * ?', '3', '1', '1', 'admin', '2024-03-31 01:19:12', '', NULL, '');
INSERT INTO `sys_job` VALUES (2, '系统默认（有参）', 'DEFAULT', 'ryTask.ryParams(\'ry\')', '0/15 * * * * ?', '3', '1', '1', 'admin', '2024-03-31 01:19:12', '', NULL, '');
INSERT INTO `sys_job` VALUES (3, '系统默认（多参）', 'DEFAULT', 'ryTask.ryMultipleParams(\'ry\', true, 2000L, 316.50D, 100)', '0/20 * * * * ?', '3', '1', '1', 'admin', '2024-03-31 01:19:12', '', NULL, '');

-- ----------------------------
-- Table structure for sys_job_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_job_log`;
CREATE TABLE `sys_job_log`  (
  `job_log_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '任务日志ID',
  `job_name` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '任务名称',
  `job_group` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '任务组名',
  `invoke_target` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调用目标字符串',
  `job_message` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '日志信息',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '执行状态（0正常 1失败）',
  `exception_info` varchar(2000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '异常信息',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`job_log_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '定时任务调度日志表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_job_log
-- ----------------------------

-- ----------------------------
-- Table structure for sys_logininfor
-- ----------------------------
DROP TABLE IF EXISTS `sys_logininfor`;
CREATE TABLE `sys_logininfor`  (
  `info_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '访问ID',
  `user_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '用户账号',
  `ipaddr` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '登录IP地址',
  `login_location` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '登录地点',
  `browser` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '浏览器类型',
  `os` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '操作系统',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '登录状态（0成功 1失败）',
  `msg` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '提示消息',
  `login_time` datetime(0) NULL DEFAULT NULL COMMENT '访问时间',
  PRIMARY KEY (`info_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 124 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '系统访问记录' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_logininfor
-- ----------------------------
INSERT INTO `sys_logininfor` VALUES (100, 'admin', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2024-03-31 01:53:30');
INSERT INTO `sys_logininfor` VALUES (101, 'admin', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '退出成功', '2024-03-31 01:58:17');
INSERT INTO `sys_logininfor` VALUES (102, 'admin', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2024-03-31 02:03:26');
INSERT INTO `sys_logininfor` VALUES (103, 'admin', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '退出成功', '2024-03-31 02:03:45');
INSERT INTO `sys_logininfor` VALUES (104, 'admin', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2024-03-31 02:05:01');
INSERT INTO `sys_logininfor` VALUES (105, 'admin', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2024-03-31 03:13:27');
INSERT INTO `sys_logininfor` VALUES (106, 'admin', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2024-03-31 13:33:57');
INSERT INTO `sys_logininfor` VALUES (107, 'admin', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '退出成功', '2024-03-31 14:57:00');
INSERT INTO `sys_logininfor` VALUES (108, 'admin', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2024-03-31 14:57:10');
INSERT INTO `sys_logininfor` VALUES (109, 'admin', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2024-03-31 18:08:39');
INSERT INTO `sys_logininfor` VALUES (110, 'admin', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2024-03-31 19:09:32');
INSERT INTO `sys_logininfor` VALUES (111, 'admin', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2024-03-31 21:05:07');
INSERT INTO `sys_logininfor` VALUES (112, 'admin', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '退出成功', '2024-03-31 22:05:44');
INSERT INTO `sys_logininfor` VALUES (113, 'test1', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2024-03-31 22:05:55');
INSERT INTO `sys_logininfor` VALUES (114, 'test1', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '退出成功', '2024-03-31 22:06:01');
INSERT INTO `sys_logininfor` VALUES (115, 'admin', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2024-03-31 22:06:28');
INSERT INTO `sys_logininfor` VALUES (116, 'admin', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '退出成功', '2024-03-31 22:07:41');
INSERT INTO `sys_logininfor` VALUES (117, 'test1', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2024-03-31 22:07:54');
INSERT INTO `sys_logininfor` VALUES (118, 'test1', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '退出成功', '2024-03-31 22:21:15');
INSERT INTO `sys_logininfor` VALUES (119, 'admin', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2024-03-31 22:21:21');
INSERT INTO `sys_logininfor` VALUES (120, 'admin', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '退出成功', '2024-03-31 22:28:30');
INSERT INTO `sys_logininfor` VALUES (121, 'admin', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2024-03-31 22:28:46');
INSERT INTO `sys_logininfor` VALUES (122, 'admin', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '退出成功', '2024-03-31 22:35:17');
INSERT INTO `sys_logininfor` VALUES (123, 'test1', '127.0.0.1', '内网IP', 'Firefox 11', 'Windows 10', '0', '登录成功', '2024-03-31 22:35:35');

-- ----------------------------
-- Table structure for sys_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_menu`;
CREATE TABLE `sys_menu`  (
  `menu_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜单ID',
  `menu_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '菜单名称',
  `parent_id` bigint(20) NULL DEFAULT 0 COMMENT '父菜单ID',
  `order_num` int(4) NULL DEFAULT 0 COMMENT '显示顺序',
  `path` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '路由地址',
  `component` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '组件路径',
  `query` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '路由参数',
  `is_frame` int(1) NULL DEFAULT 1 COMMENT '是否为外链（0是 1否）',
  `is_cache` int(1) NULL DEFAULT 0 COMMENT '是否缓存（0缓存 1不缓存）',
  `menu_type` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '菜单类型（M目录 C菜单 F按钮）',
  `visible` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '菜单状态（0显示 1隐藏）',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '菜单状态（0正常 1停用）',
  `perms` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '权限标识',
  `icon` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '#' COMMENT '菜单图标',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '备注',
  PRIMARY KEY (`menu_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2030 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '菜单权限表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_menu
-- ----------------------------
INSERT INTO `sys_menu` VALUES (1, '系统管理', 0, 1, 'system', NULL, '', 1, 0, 'M', '0', '0', '', 'system', 'admin', '2024-03-31 01:19:09', '', NULL, '系统管理目录');
INSERT INTO `sys_menu` VALUES (2, '系统监控', 0, 2, 'monitor', NULL, '', 1, 0, 'M', '0', '0', '', 'monitor', 'admin', '2024-03-31 01:19:09', '', NULL, '系统监控目录');
INSERT INTO `sys_menu` VALUES (3, '系统工具', 0, 3, 'tool', NULL, '', 1, 0, 'M', '0', '0', '', 'tool', 'admin', '2024-03-31 01:19:09', '', NULL, '系统工具目录');
INSERT INTO `sys_menu` VALUES (100, '用户管理', 1, 1, 'user', 'system/user/index', '', 1, 0, 'C', '0', '0', 'system:user:list', 'user', 'admin', '2024-03-31 01:19:09', '', NULL, '用户管理菜单');
INSERT INTO `sys_menu` VALUES (101, '角色管理', 1, 2, 'role', 'system/role/index', '', 1, 0, 'C', '0', '0', 'system:role:list', 'peoples', 'admin', '2024-03-31 01:19:09', '', NULL, '角色管理菜单');
INSERT INTO `sys_menu` VALUES (102, '菜单管理', 1, 3, 'menu', 'system/menu/index', '', 1, 0, 'C', '0', '0', 'system:menu:list', 'tree-table', 'admin', '2024-03-31 01:19:09', '', NULL, '菜单管理菜单');
INSERT INTO `sys_menu` VALUES (103, '部门管理', 1, 4, 'dept', 'system/dept/index', '', 1, 0, 'C', '0', '0', 'system:dept:list', 'tree', 'admin', '2024-03-31 01:19:09', '', NULL, '部门管理菜单');
INSERT INTO `sys_menu` VALUES (104, '岗位管理', 1, 5, 'post', 'system/post/index', '', 1, 0, 'C', '0', '0', 'system:post:list', 'post', 'admin', '2024-03-31 01:19:09', '', NULL, '岗位管理菜单');
INSERT INTO `sys_menu` VALUES (105, '字典管理', 1, 6, 'dict', 'system/dict/index', '', 1, 0, 'C', '0', '0', 'system:dict:list', 'dict', 'admin', '2024-03-31 01:19:09', '', NULL, '字典管理菜单');
INSERT INTO `sys_menu` VALUES (106, '参数设置', 1, 7, 'config', 'system/config/index', '', 1, 0, 'C', '0', '0', 'system:config:list', 'edit', 'admin', '2024-03-31 01:19:09', '', NULL, '参数设置菜单');
INSERT INTO `sys_menu` VALUES (107, '通知公告', 1, 8, 'notice', 'system/notice/index', '', 1, 0, 'C', '0', '0', 'system:notice:list', 'message', 'admin', '2024-03-31 01:19:09', '', NULL, '通知公告菜单');
INSERT INTO `sys_menu` VALUES (108, '日志管理', 1, 9, 'log', '', '', 1, 0, 'M', '0', '0', '', 'log', 'admin', '2024-03-31 01:19:09', '', NULL, '日志管理菜单');
INSERT INTO `sys_menu` VALUES (109, '在线用户', 2, 1, 'online', 'monitor/online/index', '', 1, 0, 'C', '0', '0', 'monitor:online:list', 'online', 'admin', '2024-03-31 01:19:09', '', NULL, '在线用户菜单');
INSERT INTO `sys_menu` VALUES (110, '定时任务', 2, 2, 'job', 'monitor/job/index', '', 1, 0, 'C', '0', '0', 'monitor:job:list', 'job', 'admin', '2024-03-31 01:19:09', '', NULL, '定时任务菜单');
INSERT INTO `sys_menu` VALUES (111, '数据监控', 2, 3, 'druid', 'monitor/druid/index', '', 1, 0, 'C', '0', '0', 'monitor:druid:list', 'druid', 'admin', '2024-03-31 01:19:09', '', NULL, '数据监控菜单');
INSERT INTO `sys_menu` VALUES (112, '服务监控', 2, 4, 'server', 'monitor/server/index', '', 1, 0, 'C', '0', '0', 'monitor:server:list', 'server', 'admin', '2024-03-31 01:19:09', '', NULL, '服务监控菜单');
INSERT INTO `sys_menu` VALUES (113, '缓存监控', 2, 5, 'cache', 'monitor/cache/index', '', 1, 0, 'C', '0', '0', 'monitor:cache:list', 'redis', 'admin', '2024-03-31 01:19:09', '', NULL, '缓存监控菜单');
INSERT INTO `sys_menu` VALUES (114, '缓存列表', 2, 6, 'cacheList', 'monitor/cache/list', '', 1, 0, 'C', '0', '0', 'monitor:cache:list', 'redis-list', 'admin', '2024-03-31 01:19:09', '', NULL, '缓存列表菜单');
INSERT INTO `sys_menu` VALUES (115, '表单构建', 3, 1, 'build', 'tool/build/index', '', 1, 0, 'C', '0', '0', 'tool:build:list', 'build', 'admin', '2024-03-31 01:19:09', '', NULL, '表单构建菜单');
INSERT INTO `sys_menu` VALUES (116, '代码生成', 3, 2, 'gen', 'tool/gen/index', '', 1, 0, 'C', '0', '0', 'tool:gen:list', 'code', 'admin', '2024-03-31 01:19:09', '', NULL, '代码生成菜单');
INSERT INTO `sys_menu` VALUES (117, '系统接口', 3, 3, 'swagger', 'tool/swagger/index', '', 1, 0, 'C', '0', '0', 'tool:swagger:list', 'swagger', 'admin', '2024-03-31 01:19:09', '', NULL, '系统接口菜单');
INSERT INTO `sys_menu` VALUES (500, '操作日志', 108, 1, 'operlog', 'monitor/operlog/index', '', 1, 0, 'C', '0', '0', 'monitor:operlog:list', 'form', 'admin', '2024-03-31 01:19:09', '', NULL, '操作日志菜单');
INSERT INTO `sys_menu` VALUES (501, '登录日志', 108, 2, 'logininfor', 'monitor/logininfor/index', '', 1, 0, 'C', '0', '0', 'monitor:logininfor:list', 'logininfor', 'admin', '2024-03-31 01:19:09', '', NULL, '登录日志菜单');
INSERT INTO `sys_menu` VALUES (1000, '用户查询', 100, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:user:query', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1001, '用户新增', 100, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:user:add', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1002, '用户修改', 100, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:user:edit', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1003, '用户删除', 100, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:user:remove', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1004, '用户导出', 100, 5, '', '', '', 1, 0, 'F', '0', '0', 'system:user:export', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1005, '用户导入', 100, 6, '', '', '', 1, 0, 'F', '0', '0', 'system:user:import', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1006, '重置密码', 100, 7, '', '', '', 1, 0, 'F', '0', '0', 'system:user:resetPwd', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1007, '角色查询', 101, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:role:query', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1008, '角色新增', 101, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:role:add', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1009, '角色修改', 101, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:role:edit', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1010, '角色删除', 101, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:role:remove', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1011, '角色导出', 101, 5, '', '', '', 1, 0, 'F', '0', '0', 'system:role:export', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1012, '菜单查询', 102, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:query', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1013, '菜单新增', 102, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:add', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1014, '菜单修改', 102, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:edit', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1015, '菜单删除', 102, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:remove', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1016, '部门查询', 103, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:dept:query', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1017, '部门新增', 103, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:dept:add', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1018, '部门修改', 103, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:dept:edit', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1019, '部门删除', 103, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:dept:remove', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1020, '岗位查询', 104, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:post:query', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1021, '岗位新增', 104, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:post:add', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1022, '岗位修改', 104, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:post:edit', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1023, '岗位删除', 104, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:post:remove', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1024, '岗位导出', 104, 5, '', '', '', 1, 0, 'F', '0', '0', 'system:post:export', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1025, '字典查询', 105, 1, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:query', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1026, '字典新增', 105, 2, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:add', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1027, '字典修改', 105, 3, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:edit', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1028, '字典删除', 105, 4, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:remove', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1029, '字典导出', 105, 5, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:export', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1030, '参数查询', 106, 1, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:query', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1031, '参数新增', 106, 2, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:add', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1032, '参数修改', 106, 3, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:edit', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1033, '参数删除', 106, 4, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:remove', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1034, '参数导出', 106, 5, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:export', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1035, '公告查询', 107, 1, '#', '', '', 1, 0, 'F', '0', '0', 'system:notice:query', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1036, '公告新增', 107, 2, '#', '', '', 1, 0, 'F', '0', '0', 'system:notice:add', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1037, '公告修改', 107, 3, '#', '', '', 1, 0, 'F', '0', '0', 'system:notice:edit', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1038, '公告删除', 107, 4, '#', '', '', 1, 0, 'F', '0', '0', 'system:notice:remove', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1039, '操作查询', 500, 1, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:query', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1040, '操作删除', 500, 2, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:remove', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1041, '日志导出', 500, 3, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:export', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1042, '登录查询', 501, 1, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:query', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1043, '登录删除', 501, 2, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:remove', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1044, '日志导出', 501, 3, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:export', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1045, '账户解锁', 501, 4, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:unlock', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1046, '在线查询', 109, 1, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:online:query', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1047, '批量强退', 109, 2, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:online:batchLogout', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1048, '单条强退', 109, 3, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:online:forceLogout', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1049, '任务查询', 110, 1, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:query', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1050, '任务新增', 110, 2, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:add', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1051, '任务修改', 110, 3, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:edit', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1052, '任务删除', 110, 4, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:remove', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1053, '状态修改', 110, 5, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:changeStatus', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1054, '任务导出', 110, 6, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:export', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1055, '生成查询', 116, 1, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:query', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1056, '生成修改', 116, 2, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:edit', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1057, '生成删除', 116, 3, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:remove', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1058, '导入代码', 116, 4, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:import', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1059, '预览代码', 116, 5, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:preview', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1060, '生成代码', 116, 6, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:code', '#', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2000, '问卷调查', 0, 0, 'questionnaire', NULL, NULL, 1, 0, 'M', '0', '0', NULL, 'checkbox', 'admin', '2024-03-31 03:15:46', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2007, '模版管理', 2000, 1, 'template', 'business/template/index', NULL, 1, 1, 'C', '0', '0', 'business:template:list', '#', 'admin', '2024-03-31 14:39:33', 'admin', '2024-03-31 22:33:50', '模版管理菜单');
INSERT INTO `sys_menu` VALUES (2008, '模版管理查询', 2007, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:template:query', '#', 'admin', '2024-03-31 14:39:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2009, '模版管理新增', 2007, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:template:add', '#', 'admin', '2024-03-31 14:39:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2010, '模版管理修改', 2007, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:template:edit', '#', 'admin', '2024-03-31 14:39:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2011, '模版管理删除', 2007, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:template:remove', '#', 'admin', '2024-03-31 14:39:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2012, '模版管理导出', 2007, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:template:export', '#', 'admin', '2024-03-31 14:39:33', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2013, '模版属性', 2000, 1, 'templateProp', 'business/templateProp/index', NULL, 1, 1, 'C', '0', '0', 'business:templateProp:list', '#', 'admin', '2024-03-31 14:39:41', 'admin', '2024-03-31 22:33:54', '模版属性菜单');
INSERT INTO `sys_menu` VALUES (2014, '模版属性查询', 2013, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:templateProp:query', '#', 'admin', '2024-03-31 14:39:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2015, '模版属性新增', 2013, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:templateProp:add', '#', 'admin', '2024-03-31 14:39:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2016, '模版属性修改', 2013, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:templateProp:edit', '#', 'admin', '2024-03-31 14:39:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2017, '模版属性删除', 2013, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:templateProp:remove', '#', 'admin', '2024-03-31 14:39:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2018, '模版属性导出', 2013, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'business:templateProp:export', '#', 'admin', '2024-03-31 14:39:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2021, '问卷调查', 2000, 1, 'survey', 'business/survey/index', NULL, 1, 1, 'C', '0', '0', 'business:template:list', '#', 'admin', '2024-03-31 15:00:21', 'admin', '2024-03-31 22:33:58', '问卷调查菜单');
INSERT INTO `sys_menu` VALUES (2022, '填写问卷', 2000, 1, 'surveySubmit', 'business/surveySubmit/index', '', 1, 1, 'C', '1', '0', 'business:template:list', '#', 'admin', '2024-03-31 15:04:24', 'admin', '2024-03-31 22:34:03', '填写问卷');
INSERT INTO `sys_menu` VALUES (2029, '问卷统计', 2000, 1, 'countGroup', 'business/countGroup/index', '', 1, 1, 'C', '1', '0', 'business:countGroup:list', '#', 'admin', '2024-03-31 15:04:24', 'admin', '2024-03-31 22:34:07', '问卷统计');

-- ----------------------------
-- Table structure for sys_notice
-- ----------------------------
DROP TABLE IF EXISTS `sys_notice`;
CREATE TABLE `sys_notice`  (
  `notice_id` int(4) NOT NULL AUTO_INCREMENT COMMENT '公告ID',
  `notice_title` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '公告标题',
  `notice_type` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '公告类型（1通知 2公告）',
  `notice_content` longblob NULL COMMENT '公告内容',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '公告状态（0正常 1关闭）',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`notice_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '通知公告表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_notice
-- ----------------------------
INSERT INTO `sys_notice` VALUES (1, '温馨提醒：2018-07-01 若依新版本发布啦', '2', 0xE696B0E78988E69CACE58685E5AEB9, '0', 'admin', '2024-03-31 01:19:12', '', NULL, '管理员');
INSERT INTO `sys_notice` VALUES (2, '维护通知：2018-07-01 若依系统凌晨维护', '1', 0xE7BBB4E68AA4E58685E5AEB9, '0', 'admin', '2024-03-31 01:19:12', '', NULL, '管理员');

-- ----------------------------
-- Table structure for sys_oper_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_oper_log`;
CREATE TABLE `sys_oper_log`  (
  `oper_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '日志主键',
  `title` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '模块标题',
  `business_type` int(2) NULL DEFAULT 0 COMMENT '业务类型（0其它 1新增 2修改 3删除）',
  `method` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '方法名称',
  `request_method` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '请求方式',
  `operator_type` int(1) NULL DEFAULT 0 COMMENT '操作类别（0其它 1后台用户 2手机端用户）',
  `oper_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '操作人员',
  `dept_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '部门名称',
  `oper_url` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '请求URL',
  `oper_ip` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '主机地址',
  `oper_location` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '操作地点',
  `oper_param` varchar(2000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '请求参数',
  `json_result` varchar(2000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '返回参数',
  `status` int(1) NULL DEFAULT 0 COMMENT '操作状态（0正常 1异常）',
  `error_msg` varchar(2000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '错误消息',
  `oper_time` datetime(0) NULL DEFAULT NULL COMMENT '操作时间',
  PRIMARY KEY (`oper_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 220 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '操作日志记录' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_oper_log
-- ----------------------------
INSERT INTO `sys_oper_log` VALUES (100, '参数管理', 2, 'com.ruoyi.web.controller.system.SysConfigController.edit()', 'PUT', 1, 'admin', NULL, '/system/config', '127.0.0.1', '内网IP', '{\"configId\":5,\"configKey\":\"sys.account.registerUser\",\"configName\":\"账号自助-是否开启用户注册功能\",\"configType\":\"Y\",\"configValue\":\"true\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 01:19:12\",\"params\":{},\"remark\":\"是否开启注册用户功能（true开启，false关闭）\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 02:03:41');
INSERT INTO `sys_oper_log` VALUES (101, '代码生成', 6, 'com.ruoyi.generator.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"business_template\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 03:13:37');
INSERT INTO `sys_oper_log` VALUES (102, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"icon\":\"checkbox\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"问卷调查\",\"menuType\":\"M\",\"orderNum\":0,\"params\":{},\"parentId\":0,\"path\":\"questionnaire\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 03:15:46');
INSERT INTO `sys_oper_log` VALUES (103, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"template\",\"className\":\"BusinessTemplate\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":1,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 03:13:37\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":1,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Title\",\"columnComment\":\"标题\",\"columnId\":2,\"columnName\":\"title\",\"columnType\":\"varchar(100)\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 03:13:37\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"javaField\":\"title\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":1,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Context\",\"columnComment\":\"内容\",\"columnId\":3,\"columnName\":\"context\",\"columnType\":\"varchar(100)\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 03:13:37\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"javaField\":\"context\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":1,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"TempValue\",\"columnComment\":\"模版值\",\"columnId\":4,\"columnName\":\"temp_value\",\"columnType\":\"text\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 03:13:37\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"textarea\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"javaField\":\"tempValue\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 03:16:31');
INSERT INTO `sys_oper_log` VALUES (104, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"template\",\"className\":\"BusinessTemplate\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":1,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 03:13:37\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":false,\"isIncrement\":\"1\",\"isInsert\":\"0\",\"isPk\":\"1\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":1,\"updateBy\":\"\",\"updateTime\":\"2024-03-31 03:16:31\",\"usableColumn\":false},{\"capJavaField\":\"Title\",\"columnComment\":\"标题\",\"columnId\":2,\"columnName\":\"title\",\"columnType\":\"varchar(100)\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 03:13:37\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"javaField\":\"title\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":1,\"updateBy\":\"\",\"updateTime\":\"2024-03-31 03:16:31\",\"usableColumn\":false},{\"capJavaField\":\"Context\",\"columnComment\":\"内容\",\"columnId\":3,\"columnName\":\"context\",\"columnType\":\"varchar(100)\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 03:13:37\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"javaField\":\"context\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":1,\"updateBy\":\"\",\"updateTime\":\"2024-03-31 03:16:31\",\"usableColumn\":false},{\"capJavaField\":\"TempValue\",\"columnComment\":\"模版值\",\"columnId\":4,\"columnName\":\"temp_value\",\"columnType\":\"text\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 03:13:37\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"textarea\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 03:17:18');
INSERT INTO `sys_oper_log` VALUES (105, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"template\",\"className\":\"BusinessTemplate\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":1,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 03:13:37\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":false,\"isIncrement\":\"1\",\"isInsert\":\"0\",\"isPk\":\"1\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":1,\"updateBy\":\"\",\"updateTime\":\"2024-03-31 03:17:18\",\"usableColumn\":false},{\"capJavaField\":\"Title\",\"columnComment\":\"标题\",\"columnId\":2,\"columnName\":\"title\",\"columnType\":\"varchar(100)\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 03:13:37\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"javaField\":\"title\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":1,\"updateBy\":\"\",\"updateTime\":\"2024-03-31 03:17:18\",\"usableColumn\":false},{\"capJavaField\":\"Context\",\"columnComment\":\"内容\",\"columnId\":3,\"columnName\":\"context\",\"columnType\":\"varchar(100)\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 03:13:37\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"javaField\":\"context\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":1,\"updateBy\":\"\",\"updateTime\":\"2024-03-31 03:17:18\",\"usableColumn\":false},{\"capJavaField\":\"TempValue\",\"columnComment\":\"模版值\",\"columnId\":4,\"columnName\":\"temp_value\",\"columnType\":\"text\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 03:13:37\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"textarea\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 03:17:35');
INSERT INTO `sys_oper_log` VALUES (106, '代码生成', 8, 'com.ruoyi.generator.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"business_template\"}', NULL, 0, NULL, '2024-03-31 03:34:27');
INSERT INTO `sys_oper_log` VALUES (107, '模版管理', 1, 'com.ruoyi.business.controller.BusinessTemplateController.add()', 'POST', 1, 'admin', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"params\":{}}', NULL, 1, 'Invalid bound statement (not found): com.ruoyi.business.mapper.BusinessTemplateMapper.insert', '2024-03-31 03:53:18');
INSERT INTO `sys_oper_log` VALUES (108, '模版管理', 1, 'com.ruoyi.business.controller.BusinessTemplateController.add()', 'POST', 1, 'admin', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"params\":{}}', NULL, 1, 'Invalid bound statement (not found): com.ruoyi.business.mapper.BusinessTemplateMapper.insert', '2024-03-31 03:54:16');
INSERT INTO `sys_oper_log` VALUES (109, '模版管理', 1, 'com.ruoyi.business.controller.BusinessTemplateController.add()', 'POST', 1, 'admin', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"params\":{}}', NULL, 1, 'Invalid bound statement (not found): com.ruoyi.business.mapper.BusinessTemplateMapper.insert', '2024-03-31 03:54:16');
INSERT INTO `sys_oper_log` VALUES (110, '模版管理', 1, 'com.ruoyi.business.controller.BusinessTemplateController.add()', 'POST', 1, 'admin', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"params\":{},\"tempValue\":\"<template>\\n  <div>\\n    <el-form ref=\\\"elForm\\\" :model=\\\"formData\\\" :rules=\\\"rules\\\" size=\\\"medium\\\" label-width=\\\"100px\\\">\\n      <el-form-item label=\\\"手机号\\\" prop=\\\"mobile\\\">\\n        <el-input v-model=\\\"formData.mobile\\\" placeholder=\\\"请输入手机号\\\" :maxlength=\\\"11\\\" show-word-limit clearable\\n          prefix-icon=\'el-icon-mobile\' :style=\\\"{width: \'100%\'}\\\"></el-input>\\n      </el-form-item>\\n      <el-form-item size=\\\"large\\\">\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">提交</el-button>\\n        <el-button @click=\\\"resetForm\\\">重置</el-button>\\n      </el-form-item>\\n    </el-form>\\n  </div>\\n</template>\\n<script>\\nexport default {\\n  components: {},\\n  props: [],\\n  data() {\\n    return {\\n      formData: {\\n        mobile: \'\',\\n      },\\n      rules: {\\n        mobile: [{\\n          required: true,\\n          message: \'请输入手机号\',\\n          trigger: \'blur\'\\n        }, {\\n          pattern: /^1(3|4|5|7|8|9)\\\\d{9}$/,\\n          message: \'手机号格式错误\',\\n          trigger: \'blur\'\\n        }],\\n      },\\n    }\\n  },\\n  computed: {},\\n  watch: {},\\n  created() {},\\n  mounted() {},\\n  methods: {\\n    submitForm() {\\n      this.$refs[\'elForm\'].validate(valid => {\\n        if (!valid) return\\n        // TODO 提交表单\\n      })\\n    },\\n    resetForm() {\\n      this.$refs[\'elForm\'].resetFields()\\n    },\\n  }\\n}\\n\\n</script>\\n<style>\\n</style>\\n\"}', NULL, 1, 'Invalid bound statement (not found): com.ruoyi.business.mapper.BusinessTemplateMapper.insert', '2024-03-31 03:55:51');
INSERT INTO `sys_oper_log` VALUES (111, '模版管理', 1, 'com.ruoyi.business.controller.BusinessTemplateController.add()', 'POST', 1, 'admin', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"params\":{},\"tempValue\":\"<template>\\n  <div>\\n    <el-form ref=\\\"elForm\\\" :model=\\\"formData\\\" :rules=\\\"rules\\\" size=\\\"medium\\\" label-width=\\\"100px\\\">\\n      <el-form-item label=\\\"手机号\\\" prop=\\\"mobile\\\">\\n        <el-input v-model=\\\"formData.mobile\\\" placeholder=\\\"请输入手机号\\\" :maxlength=\\\"11\\\" show-word-limit clearable\\n          prefix-icon=\'el-icon-mobile\' :style=\\\"{width: \'100%\'}\\\"></el-input>\\n      </el-form-item>\\n      <el-form-item size=\\\"large\\\">\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">提交</el-button>\\n        <el-button @click=\\\"resetForm\\\">重置</el-button>\\n      </el-form-item>\\n    </el-form>\\n  </div>\\n</template>\\n<script>\\nexport default {\\n  components: {},\\n  props: [],\\n  data() {\\n    return {\\n      formData: {\\n        mobile: \'\',\\n      },\\n      rules: {\\n        mobile: [{\\n          required: true,\\n          message: \'请输入手机号\',\\n          trigger: \'blur\'\\n        }, {\\n          pattern: /^1(3|4|5|7|8|9)\\\\d{9}$/,\\n          message: \'手机号格式错误\',\\n          trigger: \'blur\'\\n        }],\\n      },\\n    }\\n  },\\n  computed: {},\\n  watch: {},\\n  created() {},\\n  mounted() {},\\n  methods: {\\n    submitForm() {\\n      this.$refs[\'elForm\'].validate(valid => {\\n        if (!valid) return\\n        // TODO 提交表单\\n      })\\n    },\\n    resetForm() {\\n      this.$refs[\'elForm\'].resetFields()\\n    },\\n  }\\n}\\n\\n</script>\\n<style>\\n</style>\\n\",\"title\":\"ceshi\"}', NULL, 1, 'Invalid bound statement (not found): com.ruoyi.business.mapper.BusinessTemplateMapper.insert', '2024-03-31 03:55:51');
INSERT INTO `sys_oper_log` VALUES (112, '模版管理', 1, 'com.ruoyi.business.controller.BusinessTemplateController.add()', 'POST', 1, 'admin', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"params\":{},\"tempValue\":\"<template>\\n  <div>\\n    <el-form ref=\\\"elForm\\\" :model=\\\"formData\\\" :rules=\\\"rules\\\" size=\\\"medium\\\" label-width=\\\"100px\\\">\\n      <el-form-item label=\\\"手机号\\\" prop=\\\"mobile\\\">\\n        <el-input v-model=\\\"formData.mobile\\\" placeholder=\\\"请输入手机号\\\" :maxlength=\\\"11\\\" show-word-limit clearable\\n          prefix-icon=\'el-icon-mobile\' :style=\\\"{width: \'100%\'}\\\"></el-input>\\n      </el-form-item>\\n      <el-form-item size=\\\"large\\\">\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">提交</el-button>\\n        <el-button @click=\\\"resetForm\\\">重置</el-button>\\n      </el-form-item>\\n    </el-form>\\n  </div>\\n</template>\\n<script>\\nexport default {\\n  components: {},\\n  props: [],\\n  data() {\\n    return {\\n      formData: {\\n        mobile: \'\',\\n      },\\n      rules: {\\n        mobile: [{\\n          required: true,\\n          message: \'请输入手机号\',\\n          trigger: \'blur\'\\n        }, {\\n          pattern: /^1(3|4|5|7|8|9)\\\\d{9}$/,\\n          message: \'手机号格式错误\',\\n          trigger: \'blur\'\\n        }],\\n      },\\n    }\\n  },\\n  computed: {},\\n  watch: {},\\n  created() {},\\n  mounted() {},\\n  methods: {\\n    submitForm() {\\n      this.$refs[\'elForm\'].validate(valid => {\\n        if (!valid) return\\n        // TODO 提交表单\\n      })\\n    },\\n    resetForm() {\\n      this.$refs[\'elForm\'].resetFields()\\n    },\\n  }\\n}\\n\\n</script>\\n<style>\\n</style>\\n\",\"title\":\"ceshi\"}', NULL, 1, 'Invalid bound statement (not found): com.ruoyi.business.mapper.BusinessTemplateMapper.insert', '2024-03-31 03:56:58');
INSERT INTO `sys_oper_log` VALUES (113, '模版管理', 1, 'com.ruoyi.business.controller.BusinessTemplateController.add()', 'POST', 1, 'admin', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"params\":{},\"tempValue\":\"<template>\\n  <div>\\n    <el-form ref=\\\"elForm\\\" :model=\\\"formData\\\" :rules=\\\"rules\\\" size=\\\"medium\\\" label-width=\\\"100px\\\">\\n      <el-form-item label=\\\"手机号\\\" prop=\\\"mobile\\\">\\n        <el-input v-model=\\\"formData.mobile\\\" placeholder=\\\"请输入手机号\\\" :maxlength=\\\"11\\\" show-word-limit clearable\\n          prefix-icon=\'el-icon-mobile\' :style=\\\"{width: \'100%\'}\\\"></el-input>\\n      </el-form-item>\\n      <el-form-item size=\\\"large\\\">\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">提交</el-button>\\n        <el-button @click=\\\"resetForm\\\">重置</el-button>\\n      </el-form-item>\\n    </el-form>\\n  </div>\\n</template>\\n<script>\\nexport default {\\n  components: {},\\n  props: [],\\n  data() {\\n    return {\\n      formData: {\\n        mobile: \'\',\\n      },\\n      rules: {\\n        mobile: [{\\n          required: true,\\n          message: \'请输入手机号\',\\n          trigger: \'blur\'\\n        }, {\\n          pattern: /^1(3|4|5|7|8|9)\\\\d{9}$/,\\n          message: \'手机号格式错误\',\\n          trigger: \'blur\'\\n        }],\\n      },\\n    }\\n  },\\n  computed: {},\\n  watch: {},\\n  created() {},\\n  mounted() {},\\n  methods: {\\n    submitForm() {\\n      this.$refs[\'elForm\'].validate(valid => {\\n        if (!valid) return\\n        // TODO 提交表单\\n      })\\n    },\\n    resetForm() {\\n      this.$refs[\'elForm\'].resetFields()\\n    },\\n  }\\n}\\n\\n</script>\\n<style>\\n</style>\\n\"}', NULL, 1, 'Invalid bound statement (not found): com.ruoyi.business.mapper.BusinessTemplateMapper.insert', '2024-03-31 03:56:58');
INSERT INTO `sys_oper_log` VALUES (114, '模版管理', 1, 'com.ruoyi.business.controller.BusinessTemplateController.add()', 'POST', 1, 'admin', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"params\":{},\"tempValue\":\"<template>\\n  <div>\\n    <el-form ref=\\\"elForm\\\" :model=\\\"formData\\\" :rules=\\\"rules\\\" size=\\\"medium\\\" label-width=\\\"100px\\\">\\n      <el-form-item label=\\\"手机号\\\" prop=\\\"mobile\\\">\\n        <el-input v-model=\\\"formData.mobile\\\" placeholder=\\\"请输入手机号\\\" :maxlength=\\\"11\\\" show-word-limit clearable\\n          prefix-icon=\'el-icon-mobile\' :style=\\\"{width: \'100%\'}\\\"></el-input>\\n      </el-form-item>\\n      <el-form-item size=\\\"large\\\">\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">提交</el-button>\\n        <el-button @click=\\\"resetForm\\\">重置</el-button>\\n      </el-form-item>\\n    </el-form>\\n  </div>\\n</template>\\n<script>\\nexport default {\\n  components: {},\\n  props: [],\\n  data() {\\n    return {\\n      formData: {\\n        mobile: \'\',\\n      },\\n      rules: {\\n        mobile: [{\\n          required: true,\\n          message: \'请输入手机号\',\\n          trigger: \'blur\'\\n        }, {\\n          pattern: /^1(3|4|5|7|8|9)\\\\d{9}$/,\\n          message: \'手机号格式错误\',\\n          trigger: \'blur\'\\n        }],\\n      },\\n    }\\n  },\\n  computed: {},\\n  watch: {},\\n  created() {},\\n  mounted() {},\\n  methods: {\\n    submitForm() {\\n      this.$refs[\'elForm\'].validate(valid => {\\n        if (!valid) return\\n        // TODO 提交表单\\n      })\\n    },\\n    resetForm() {\\n      this.$refs[\'elForm\'].resetFields()\\n    },\\n  }\\n}\\n\\n</script>\\n<style>\\n</style>\\n\",\"title\":\"ceshi\"}', NULL, 1, 'Invalid bound statement (not found): com.ruoyi.business.mapper.BusinessTemplateMapper.insert', '2024-03-31 03:59:35');
INSERT INTO `sys_oper_log` VALUES (115, '模版管理', 1, 'com.ruoyi.business.controller.BusinessTemplateController.add()', 'POST', 1, 'admin', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"params\":{},\"tempValue\":\"<template>\\n  <div>\\n    <el-form ref=\\\"elForm\\\" :model=\\\"formData\\\" :rules=\\\"rules\\\" size=\\\"medium\\\" label-width=\\\"100px\\\">\\n      <el-form-item label=\\\"手机号\\\" prop=\\\"mobile\\\">\\n        <el-input v-model=\\\"formData.mobile\\\" placeholder=\\\"请输入手机号\\\" :maxlength=\\\"11\\\" show-word-limit clearable\\n          prefix-icon=\'el-icon-mobile\' :style=\\\"{width: \'100%\'}\\\"></el-input>\\n      </el-form-item>\\n      <el-form-item size=\\\"large\\\">\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">提交</el-button>\\n        <el-button @click=\\\"resetForm\\\">重置</el-button>\\n      </el-form-item>\\n    </el-form>\\n  </div>\\n</template>\\n<script>\\nexport default {\\n  components: {},\\n  props: [],\\n  data() {\\n    return {\\n      formData: {\\n        mobile: \'\',\\n      },\\n      rules: {\\n        mobile: [{\\n          required: true,\\n          message: \'请输入手机号\',\\n          trigger: \'blur\'\\n        }, {\\n          pattern: /^1(3|4|5|7|8|9)\\\\d{9}$/,\\n          message: \'手机号格式错误\',\\n          trigger: \'blur\'\\n        }],\\n      },\\n    }\\n  },\\n  computed: {},\\n  watch: {},\\n  created() {},\\n  mounted() {},\\n  methods: {\\n    submitForm() {\\n      this.$refs[\'elForm\'].validate(valid => {\\n        if (!valid) return\\n        // TODO 提交表单\\n      })\\n    },\\n    resetForm() {\\n      this.$refs[\'elForm\'].resetFields()\\n    },\\n  }\\n}\\n\\n</script>\\n<style>\\n</style>\\n\"}', NULL, 1, 'Invalid bound statement (not found): com.ruoyi.business.mapper.BusinessTemplateMapper.insert', '2024-03-31 03:59:35');
INSERT INTO `sys_oper_log` VALUES (116, '模版管理', 1, 'com.ruoyi.business.controller.BusinessTemplateController.add()', 'POST', 1, 'admin', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"params\":{},\"tempValue\":\"<template>\\n  <div>\\n    <el-form ref=\\\"elForm\\\" :model=\\\"formData\\\" :rules=\\\"rules\\\" size=\\\"medium\\\" label-width=\\\"100px\\\">\\n      <el-form-item label=\\\"手机号\\\" prop=\\\"mobile\\\">\\n        <el-input v-model=\\\"formData.mobile\\\" placeholder=\\\"请输入手机号\\\" :maxlength=\\\"11\\\" show-word-limit clearable\\n          prefix-icon=\'el-icon-mobile\' :style=\\\"{width: \'100%\'}\\\"></el-input>\\n      </el-form-item>\\n      <el-form-item size=\\\"large\\\">\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">提交</el-button>\\n        <el-button @click=\\\"resetForm\\\">重置</el-button>\\n      </el-form-item>\\n    </el-form>\\n  </div>\\n</template>\\n<script>\\nexport default {\\n  components: {},\\n  props: [],\\n  data() {\\n    return {\\n      formData: {\\n        mobile: \'\',\\n      },\\n      rules: {\\n        mobile: [{\\n          required: true,\\n          message: \'请输入手机号\',\\n          trigger: \'blur\'\\n        }, {\\n          pattern: /^1(3|4|5|7|8|9)\\\\d{9}$/,\\n          message: \'手机号格式错误\',\\n          trigger: \'blur\'\\n        }],\\n      },\\n    }\\n  },\\n  computed: {},\\n  watch: {},\\n  created() {},\\n  mounted() {},\\n  methods: {\\n    submitForm() {\\n      this.$refs[\'elForm\'].validate(valid => {\\n        if (!valid) return\\n        // TODO 提交表单\\n      })\\n    },\\n    resetForm() {\\n      this.$refs[\'elForm\'].resetFields()\\n    },\\n  }\\n}\\n\\n</script>\\n<style>\\n</style>\\n\",\"title\":\"ceshi\"}', NULL, 1, 'nested exception is org.apache.ibatis.exceptions.PersistenceException: \r\n### Error updating database.  Cause: java.lang.IllegalStateException: Type handler was null on parameter mapping for property \'params\'. It was either not specified and/or could not be found for the javaType (java.util.Map) : jdbcType (null) combination.\r\n### The error may exist in com/ruoyi/business/mapper/BusinessTemplateMapper.java (best guess)\r\n### The error may involve com.ruoyi.business.mapper.BusinessTemplateMapper.insert\r\n### The error occurred while executing an update\r\n### Cause: java.lang.IllegalStateException: Type handler was null on parameter mapping for property \'params\'. It was either not specified and/or could not be found for the javaType (java.util.Map) : jdbcType (null) combination.', '2024-03-31 04:10:33');
INSERT INTO `sys_oper_log` VALUES (117, '模版管理', 1, 'com.ruoyi.business.controller.BusinessTemplateController.add()', 'POST', 1, 'admin', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"params\":{},\"tempValue\":\"<template>\\n  <div>\\n    <el-form ref=\\\"elForm\\\" :model=\\\"formData\\\" :rules=\\\"rules\\\" size=\\\"medium\\\" label-width=\\\"100px\\\">\\n      <el-form-item label=\\\"手机号\\\" prop=\\\"mobile\\\">\\n        <el-input v-model=\\\"formData.mobile\\\" placeholder=\\\"请输入手机号\\\" :maxlength=\\\"11\\\" show-word-limit clearable\\n          prefix-icon=\'el-icon-mobile\' :style=\\\"{width: \'100%\'}\\\"></el-input>\\n      </el-form-item>\\n      <el-form-item size=\\\"large\\\">\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">提交</el-button>\\n        <el-button @click=\\\"resetForm\\\">重置</el-button>\\n      </el-form-item>\\n    </el-form>\\n  </div>\\n</template>\\n<script>\\nexport default {\\n  components: {},\\n  props: [],\\n  data() {\\n    return {\\n      formData: {\\n        mobile: \'\',\\n      },\\n      rules: {\\n        mobile: [{\\n          required: true,\\n          message: \'请输入手机号\',\\n          trigger: \'blur\'\\n        }, {\\n          pattern: /^1(3|4|5|7|8|9)\\\\d{9}$/,\\n          message: \'手机号格式错误\',\\n          trigger: \'blur\'\\n        }],\\n      },\\n    }\\n  },\\n  computed: {},\\n  watch: {},\\n  created() {},\\n  mounted() {},\\n  methods: {\\n    submitForm() {\\n      this.$refs[\'elForm\'].validate(valid => {\\n        if (!valid) return\\n        // TODO 提交表单\\n      })\\n    },\\n    resetForm() {\\n      this.$refs[\'elForm\'].resetFields()\\n    },\\n  }\\n}\\n\\n</script>\\n<style>\\n</style>\\n\"}', NULL, 1, 'nested exception is org.apache.ibatis.exceptions.PersistenceException: \r\n### Error updating database.  Cause: java.lang.IllegalStateException: Type handler was null on parameter mapping for property \'params\'. It was either not specified and/or could not be found for the javaType (java.util.Map) : jdbcType (null) combination.\r\n### The error may exist in com/ruoyi/business/mapper/BusinessTemplateMapper.java (best guess)\r\n### The error may involve com.ruoyi.business.mapper.BusinessTemplateMapper.insert\r\n### The error occurred while executing an update\r\n### Cause: java.lang.IllegalStateException: Type handler was null on parameter mapping for property \'params\'. It was either not specified and/or could not be found for the javaType (java.util.Map) : jdbcType (null) combination.', '2024-03-31 04:10:33');
INSERT INTO `sys_oper_log` VALUES (118, '模版管理', 1, 'com.ruoyi.business.controller.BusinessTemplateController.add()', 'POST', 1, 'admin', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"createTime\":\"2024-03-31 04:14:19\",\"id\":\"1774168297470779393\",\"params\":{},\"tempValue\":\"<template>\\n  <div>\\n    <el-form ref=\\\"elForm\\\" :model=\\\"formData\\\" :rules=\\\"rules\\\" size=\\\"medium\\\" label-width=\\\"100px\\\">\\n      <el-form-item label=\\\"手机号\\\" prop=\\\"mobile\\\">\\n        <el-input v-model=\\\"formData.mobile\\\" placeholder=\\\"请输入手机号\\\" :maxlength=\\\"11\\\" show-word-limit clearable\\n          prefix-icon=\'el-icon-mobile\' :style=\\\"{width: \'100%\'}\\\"></el-input>\\n      </el-form-item>\\n      <el-form-item size=\\\"large\\\">\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">提交</el-button>\\n        <el-button @click=\\\"resetForm\\\">重置</el-button>\\n      </el-form-item>\\n    </el-form>\\n  </div>\\n</template>\\n<script>\\nexport default {\\n  components: {},\\n  props: [],\\n  data() {\\n    return {\\n      formData: {\\n        mobile: \'\',\\n      },\\n      rules: {\\n        mobile: [{\\n          required: true,\\n          message: \'请输入手机号\',\\n          trigger: \'blur\'\\n        }, {\\n          pattern: /^1(3|4|5|7|8|9)\\\\d{9}$/,\\n          message: \'手机号格式错误\',\\n          trigger: \'blur\'\\n        }],\\n      },\\n    }\\n  },\\n  computed: {},\\n  watch: {},\\n  created() {},\\n  mounted() {},\\n  methods: {\\n    submitForm() {\\n      this.$refs[\'elForm\'].validate(valid => {\\n        if (!valid) return\\n        // TODO 提交表单\\n      })\\n    },\\n    resetForm() {\\n      this.$refs[\'elForm\'].resetFields()\\n    },\\n  }\\n}\\n\\n</script>\\n<style>\\n</style>\\n\",\"title\":\"ceshi\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 04:14:19');
INSERT INTO `sys_oper_log` VALUES (119, '模版管理', 1, 'com.ruoyi.business.controller.BusinessTemplateController.add()', 'POST', 1, 'admin', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"createTime\":\"2024-03-31 04:14:19\",\"id\":\"1774168297470779394\",\"params\":{},\"tempValue\":\"<template>\\n  <div>\\n    <el-form ref=\\\"elForm\\\" :model=\\\"formData\\\" :rules=\\\"rules\\\" size=\\\"medium\\\" label-width=\\\"100px\\\">\\n      <el-form-item label=\\\"手机号\\\" prop=\\\"mobile\\\">\\n        <el-input v-model=\\\"formData.mobile\\\" placeholder=\\\"请输入手机号\\\" :maxlength=\\\"11\\\" show-word-limit clearable\\n          prefix-icon=\'el-icon-mobile\' :style=\\\"{width: \'100%\'}\\\"></el-input>\\n      </el-form-item>\\n      <el-form-item size=\\\"large\\\">\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">提交</el-button>\\n        <el-button @click=\\\"resetForm\\\">重置</el-button>\\n      </el-form-item>\\n    </el-form>\\n  </div>\\n</template>\\n<script>\\nexport default {\\n  components: {},\\n  props: [],\\n  data() {\\n    return {\\n      formData: {\\n        mobile: \'\',\\n      },\\n      rules: {\\n        mobile: [{\\n          required: true,\\n          message: \'请输入手机号\',\\n          trigger: \'blur\'\\n        }, {\\n          pattern: /^1(3|4|5|7|8|9)\\\\d{9}$/,\\n          message: \'手机号格式错误\',\\n          trigger: \'blur\'\\n        }],\\n      },\\n    }\\n  },\\n  computed: {},\\n  watch: {},\\n  created() {},\\n  mounted() {},\\n  methods: {\\n    submitForm() {\\n      this.$refs[\'elForm\'].validate(valid => {\\n        if (!valid) return\\n        // TODO 提交表单\\n      })\\n    },\\n    resetForm() {\\n      this.$refs[\'elForm\'].resetFields()\\n    },\\n  }\\n}\\n\\n</script>\\n<style>\\n</style>\\n\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 04:14:19');
INSERT INTO `sys_oper_log` VALUES (120, '模版管理', 1, 'com.ruoyi.business.controller.BusinessTemplateController.add()', 'POST', 1, 'admin', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"createTime\":\"2024-03-31 04:28:47\",\"id\":\"1774171941196881922\",\"params\":{},\"tempValue\":\"<template>\\n  <div>\\n    <el-form ref=\\\"elForm\\\" :model=\\\"formData\\\" :rules=\\\"rules\\\" size=\\\"medium\\\" label-width=\\\"100px\\\">\\n      <el-form-item label=\\\"手机号\\\" prop=\\\"mobile\\\">\\n        <el-input v-model=\\\"formData.mobile\\\" placeholder=\\\"请输入手机号\\\" :maxlength=\\\"11\\\" show-word-limit clearable\\n          prefix-icon=\'el-icon-mobile\' :style=\\\"{width: \'100%\'}\\\"></el-input>\\n      </el-form-item>\\n      <el-form-item label=\\\"计数器\\\" prop=\\\"field101\\\">\\n        <el-input-number v-model=\\\"formData.field101\\\" placeholder=\\\"计数器\\\"></el-input-number>\\n      </el-form-item>\\n      <el-form-item label=\\\"多行文本\\\" prop=\\\"field102\\\">\\n        <el-input v-model=\\\"formData.field102\\\" type=\\\"textarea\\\" placeholder=\\\"请输入多行文本\\\"\\n          :autosize=\\\"{minRows: 4, maxRows: 4}\\\" :style=\\\"{width: \'100%\'}\\\"></el-input>\\n      </el-form-item>\\n      <el-form-item size=\\\"large\\\">\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">提交</el-button>\\n        <el-button @click=\\\"resetForm\\\">重置</el-button>\\n      </el-form-item>\\n    </el-form>\\n  </div>\\n</template>\\n<script>\\nexport default {\\n  components: {},\\n  props: [],\\n  data() {\\n    return {\\n      formData: {\\n        mobile: \'\',\\n        field101: undefined,\\n        field102: undefined,\\n      },\\n      rules: {\\n        mobile: [{\\n          required: true,\\n          message: \'请输入手机号\',\\n          trigger: \'blur\'\\n        }, {\\n          pattern: /^1(3|4|5|7|8|9)\\\\d{9}$/,\\n          message: \'手机号格式错误\',\\n          trigger: \'blur\'\\n        }],\\n        field101: [{\\n          required: true,\\n          message: \'计数器\',\\n          trigger: \'blur\'\\n        }],\\n        field102: [{\\n          required: true,\\n          message: \'请输入多行文本\',\\n          trigger: \'blur\'\\n        }],\\n      },\\n    }\\n  },\\n  computed: {},\\n  watch: {},\\n  created() {},\\n  mounted() {},\\n  methods: {\\n    submitForm() {\\n      this.$refs[\'elForm\'].validat', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 04:28:48');
INSERT INTO `sys_oper_log` VALUES (121, '模版管理', 1, 'com.ruoyi.business.controller.BusinessTemplateController.add()', 'POST', 1, 'admin', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"createTime\":\"2024-03-31 04:29:40\",\"id\":\"1774172160382820353\",\"params\":{},\"tempValue\":\"<template>\\n  <div>\\n    <el-form ref=\\\"elForm\\\" :model=\\\"formData\\\" :rules=\\\"rules\\\" size=\\\"medium\\\" label-width=\\\"100px\\\">\\n      <el-form-item label=\\\"手机号\\\" prop=\\\"mobile\\\">\\n        <el-input v-model=\\\"formData.mobile\\\" placeholder=\\\"请输入手机号\\\" :maxlength=\\\"11\\\" show-word-limit clearable\\n          prefix-icon=\'el-icon-mobile\' :style=\\\"{width: \'100%\'}\\\"></el-input>\\n      </el-form-item>\\n      <el-form-item label=\\\"计数器\\\" prop=\\\"field101\\\">\\n        <el-input-number v-model=\\\"formData.field101\\\" placeholder=\\\"计数器\\\"></el-input-number>\\n      </el-form-item>\\n      <el-form-item label=\\\"多行文本\\\" prop=\\\"field102\\\">\\n        <el-input v-model=\\\"formData.field102\\\" type=\\\"textarea\\\" placeholder=\\\"请输入多行文本\\\"\\n          :autosize=\\\"{minRows: 4, maxRows: 4}\\\" :style=\\\"{width: \'100%\'}\\\"></el-input>\\n      </el-form-item>\\n      <el-form-item size=\\\"large\\\">\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">提交</el-button>\\n        <el-button @click=\\\"resetForm\\\">重置</el-button>\\n      </el-form-item>\\n    </el-form>\\n  </div>\\n</template>\\n<script>\\nexport default {\\n  components: {},\\n  props: [],\\n  data() {\\n    return {\\n      formData: {\\n        mobile: \'\',\\n        field101: undefined,\\n        field102: undefined,\\n      },\\n      rules: {\\n        mobile: [{\\n          required: true,\\n          message: \'请输入手机号\',\\n          trigger: \'blur\'\\n        }, {\\n          pattern: /^1(3|4|5|7|8|9)\\\\d{9}$/,\\n          message: \'手机号格式错误\',\\n          trigger: \'blur\'\\n        }],\\n        field101: [{\\n          required: true,\\n          message: \'计数器\',\\n          trigger: \'blur\'\\n        }],\\n        field102: [{\\n          required: true,\\n          message: \'请输入多行文本\',\\n          trigger: \'blur\'\\n        }],\\n      },\\n    }\\n  },\\n  computed: {},\\n  watch: {},\\n  created() {},\\n  mounted() {},\\n  methods: {\\n    submitForm() {\\n      this.$refs[\'elForm\'].validat', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 04:29:40');
INSERT INTO `sys_oper_log` VALUES (122, '模版管理', 1, 'com.ruoyi.business.controller.BusinessTemplateController.add()', 'POST', 1, 'admin', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"createTime\":\"2024-03-31 04:29:40\",\"id\":\"1774172160382820354\",\"params\":{},\"tempValue\":\"<template>\\n  <div>\\n    <el-form ref=\\\"elForm\\\" :model=\\\"formData\\\" :rules=\\\"rules\\\" size=\\\"medium\\\" label-width=\\\"100px\\\">\\n      <el-form-item label=\\\"手机号\\\" prop=\\\"mobile\\\">\\n        <el-input v-model=\\\"formData.mobile\\\" placeholder=\\\"请输入手机号\\\" :maxlength=\\\"11\\\" show-word-limit clearable\\n          prefix-icon=\'el-icon-mobile\' :style=\\\"{width: \'100%\'}\\\"></el-input>\\n      </el-form-item>\\n      <el-form-item label=\\\"计数器\\\" prop=\\\"field101\\\">\\n        <el-input-number v-model=\\\"formData.field101\\\" placeholder=\\\"计数器\\\"></el-input-number>\\n      </el-form-item>\\n      <el-form-item label=\\\"多行文本\\\" prop=\\\"field102\\\">\\n        <el-input v-model=\\\"formData.field102\\\" type=\\\"textarea\\\" placeholder=\\\"请输入多行文本\\\"\\n          :autosize=\\\"{minRows: 4, maxRows: 4}\\\" :style=\\\"{width: \'100%\'}\\\"></el-input>\\n      </el-form-item>\\n      <el-form-item size=\\\"large\\\">\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">提交</el-button>\\n        <el-button @click=\\\"resetForm\\\">重置</el-button>\\n      </el-form-item>\\n    </el-form>\\n  </div>\\n</template>\\n\",\"title\":\"ceshi\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 04:29:40');
INSERT INTO `sys_oper_log` VALUES (123, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.synchDb()', 'GET', 1, 'admin', NULL, '/tool/gen/synchDb/business_template', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 14:23:14');
INSERT INTO `sys_oper_log` VALUES (124, '代码生成', 6, 'com.ruoyi.generator.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"business_template_prop\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 14:23:17');
INSERT INTO `sys_oper_log` VALUES (125, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"prop\",\"className\":\"BusinessTemplateProp\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":12,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 14:23:17\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":2,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"Title\",\"columnComment\":\"标题\",\"columnId\":13,\"columnName\":\"title\",\"columnType\":\"varchar(100)\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 14:23:17\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"javaField\":\"title\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":2,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"CompType\",\"columnComment\":\"组件类型（0单选框吧 1多选框）\",\"columnId\":14,\"columnName\":\"comp_type\",\"columnType\":\"char(10)\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 14:23:17\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"select\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"javaField\":\"compType\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":2,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"FieldName\",\"columnComment\":\"字段名\",\"columnId\":15,\"columnName\":\"field_name\",\"columnType\":\"varchar(100)\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 14:23:17\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"javaField\":\"fieldName\",\"javaType\":\"String\",\"list\":true,\"params', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 14:23:46');
INSERT INTO `sys_oper_log` VALUES (126, '字典类型', 1, 'com.ruoyi.web.controller.system.SysDictTypeController.add()', 'POST', 1, 'admin', NULL, '/system/dict/type', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"dictName\":\"组件类型\",\"dictType\":\"comp_type\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 14:24:08');
INSERT INTO `sys_oper_log` VALUES (127, '字典数据', 1, 'com.ruoyi.web.controller.system.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"单选\",\"dictSort\":0,\"dictType\":\"comp_type\",\"dictValue\":\"0\",\"listClass\":\"default\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 14:24:26');
INSERT INTO `sys_oper_log` VALUES (128, '字典数据', 1, 'com.ruoyi.web.controller.system.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"多选\",\"dictSort\":0,\"dictType\":\"comp_type\",\"dictValue\":\"1\",\"listClass\":\"default\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 14:24:45');
INSERT INTO `sys_oper_log` VALUES (129, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.synchDb()', 'GET', 1, 'admin', NULL, '/tool/gen/synchDb/business_template_prop', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 14:25:15');
INSERT INTO `sys_oper_log` VALUES (130, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.synchDb()', 'GET', 1, 'admin', NULL, '/tool/gen/synchDb/business_template', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 14:25:17');
INSERT INTO `sys_oper_log` VALUES (131, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"prop\",\"className\":\"BusinessTemplateProp\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":12,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 14:23:17\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":2,\"updateBy\":\"\",\"updateTime\":\"2024-03-31 14:25:15\",\"usableColumn\":false},{\"capJavaField\":\"Title\",\"columnComment\":\"标题\",\"columnId\":13,\"columnName\":\"title\",\"columnType\":\"varchar(100)\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 14:23:17\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"title\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":2,\"updateBy\":\"\",\"updateTime\":\"2024-03-31 14:25:15\",\"usableColumn\":false},{\"capJavaField\":\"CompType\",\"columnComment\":\"组件类型（0单选框 1多选框）\",\"columnId\":14,\"columnName\":\"comp_type\",\"columnType\":\"char(10)\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 14:23:17\",\"dictType\":\"comp_type\",\"edit\":true,\"htmlType\":\"select\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"compType\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":2,\"updateBy\":\"\",\"updateTime\":\"2024-03-31 14:25:15\",\"usableColumn\":false},{\"capJavaField\":\"FieldName\",\"columnComment\":\"字段名\",\"columnId\":15,\"columnName\":\"field_name\",\"columnType\":\"varchar(100)\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 14:23:17\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"i', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 14:27:41');
INSERT INTO `sys_oper_log` VALUES (132, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.synchDb()', 'GET', 1, 'admin', NULL, '/tool/gen/synchDb/business_template_prop', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 14:27:58');
INSERT INTO `sys_oper_log` VALUES (133, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"templateProp\",\"className\":\"BusinessTemplateProp\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":12,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 14:23:17\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":2,\"updateBy\":\"\",\"updateTime\":\"2024-03-31 14:27:58\",\"usableColumn\":false},{\"capJavaField\":\"Title\",\"columnComment\":\"标题\",\"columnId\":13,\"columnName\":\"title\",\"columnType\":\"varchar(100)\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 14:23:17\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"title\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":2,\"updateBy\":\"\",\"updateTime\":\"2024-03-31 14:27:58\",\"usableColumn\":false},{\"capJavaField\":\"CompType\",\"columnComment\":\"组件类型（0单选框 1多选框）\",\"columnId\":14,\"columnName\":\"comp_type\",\"columnType\":\"char(10)\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 14:23:17\",\"dictType\":\"comp_type\",\"edit\":true,\"htmlType\":\"select\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"compType\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":2,\"updateBy\":\"\",\"updateTime\":\"2024-03-31 14:27:58\",\"usableColumn\":false},{\"capJavaField\":\"FieldName\",\"columnComment\":\"字段名\",\"columnId\":15,\"columnName\":\"field_name\",\"columnType\":\"varchar(100)\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 14:23:17\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 14:33:47');
INSERT INTO `sys_oper_log` VALUES (134, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.synchDb()', 'GET', 1, 'admin', NULL, '/tool/gen/synchDb/business_template_prop', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 14:33:51');
INSERT INTO `sys_oper_log` VALUES (135, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.synchDb()', 'GET', 1, 'admin', NULL, '/tool/gen/synchDb/business_template', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 14:33:53');
INSERT INTO `sys_oper_log` VALUES (136, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"templateProp\",\"className\":\"BusinessTemplateProp\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":12,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 14:23:17\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":false,\"isIncrement\":\"1\",\"isInsert\":\"0\",\"isPk\":\"1\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":2,\"updateBy\":\"\",\"updateTime\":\"2024-03-31 14:33:51\",\"usableColumn\":false},{\"capJavaField\":\"Title\",\"columnComment\":\"标题\",\"columnId\":13,\"columnName\":\"title\",\"columnType\":\"varchar(100)\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 14:23:17\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"title\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":2,\"superColumn\":false,\"tableId\":2,\"updateBy\":\"\",\"updateTime\":\"2024-03-31 14:33:51\",\"usableColumn\":false},{\"capJavaField\":\"CompType\",\"columnComment\":\"组件类型（0单选框 1多选框）\",\"columnId\":14,\"columnName\":\"comp_type\",\"columnType\":\"char(10)\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 14:23:17\",\"dictType\":\"comp_type\",\"edit\":true,\"htmlType\":\"select\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"isRequired\":\"1\",\"javaField\":\"compType\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":true,\"sort\":3,\"superColumn\":false,\"tableId\":2,\"updateBy\":\"\",\"updateTime\":\"2024-03-31 14:33:51\",\"usableColumn\":false},{\"capJavaField\":\"FieldName\",\"columnComment\":\"字段名\",\"columnId\":15,\"columnName\":\"field_name\",\"columnType\":\"varchar(100)\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 14:23:17\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 14:35:33');
INSERT INTO `sys_oper_log` VALUES (137, '字典类型', 1, 'com.ruoyi.web.controller.system.SysDictTypeController.add()', 'POST', 1, 'admin', NULL, '/system/dict/type', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"dictName\":\"是否开放\",\"dictType\":\"open\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 14:36:25');
INSERT INTO `sys_oper_log` VALUES (138, '字典数据', 1, 'com.ruoyi.web.controller.system.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"关闭\",\"dictSort\":0,\"dictType\":\"open\",\"dictValue\":\"0\",\"listClass\":\"default\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 14:36:45');
INSERT INTO `sys_oper_log` VALUES (139, '字典数据', 1, 'com.ruoyi.web.controller.system.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"开放\",\"dictSort\":0,\"dictType\":\"open\",\"dictValue\":\"1\",\"listClass\":\"default\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 14:36:53');
INSERT INTO `sys_oper_log` VALUES (140, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"template\",\"className\":\"BusinessTemplate\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":1,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 03:13:37\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":1,\"updateBy\":\"\",\"updateTime\":\"2024-03-31 14:33:53\",\"usableColumn\":false},{\"capJavaField\":\"Title\",\"columnComment\":\"标题\",\"columnId\":2,\"columnName\":\"title\",\"columnType\":\"varchar(100)\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 03:13:37\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"javaField\":\"title\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":1,\"updateBy\":\"\",\"updateTime\":\"2024-03-31 14:33:53\",\"usableColumn\":false},{\"capJavaField\":\"Context\",\"columnComment\":\"内容\",\"columnId\":3,\"columnName\":\"context\",\"columnType\":\"varchar(100)\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 03:13:37\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"javaField\":\"context\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":1,\"updateBy\":\"\",\"updateTime\":\"2024-03-31 14:33:53\",\"usableColumn\":false},{\"capJavaField\":\"Open\",\"columnComment\":\"是否开放\",\"columnId\":11,\"columnName\":\"open\",\"columnType\":\"char(10)\",\"createBy\":\"\",\"createTime\":\"2024-03-31 14:23:14\",\"dictType\":\"open\",\"edit\":true,\"htmlType\":\"select\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQ', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 14:37:26');
INSERT INTO `sys_oper_log` VALUES (141, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"template\",\"className\":\"BusinessTemplate\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":1,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 03:13:37\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":1,\"updateBy\":\"\",\"updateTime\":\"2024-03-31 14:37:26\",\"usableColumn\":false},{\"capJavaField\":\"Title\",\"columnComment\":\"标题\",\"columnId\":2,\"columnName\":\"title\",\"columnType\":\"varchar(100)\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 03:13:37\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"javaField\":\"title\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":1,\"updateBy\":\"\",\"updateTime\":\"2024-03-31 14:37:26\",\"usableColumn\":false},{\"capJavaField\":\"Context\",\"columnComment\":\"内容\",\"columnId\":3,\"columnName\":\"context\",\"columnType\":\"varchar(100)\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 03:13:37\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"javaField\":\"context\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":1,\"updateBy\":\"\",\"updateTime\":\"2024-03-31 14:37:26\",\"usableColumn\":false},{\"capJavaField\":\"Open\",\"columnComment\":\"是否开放\",\"columnId\":11,\"columnName\":\"open\",\"columnType\":\"char(10)\",\"createBy\":\"\",\"createTime\":\"2024-03-31 14:23:14\",\"dictType\":\"open\",\"edit\":true,\"htmlType\":\"select\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQ', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 14:37:35');
INSERT INTO `sys_oper_log` VALUES (142, '代码生成', 8, 'com.ruoyi.generator.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"business_template,business_template_prop\"}', NULL, 0, NULL, '2024-03-31 14:37:39');
INSERT INTO `sys_oper_log` VALUES (143, '模版管理', 1, 'com.ruoyi.business.controller.BusinessTemplateController.add()', 'POST', 1, 'admin', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"context\":\"test\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 14:46:07\",\"deleted\":0,\"id\":\"1774327297961119745\",\"open\":\"1\",\"params\":{},\"title\":\"测试\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 14:46:07');
INSERT INTO `sys_oper_log` VALUES (144, '模版属性', 1, 'com.ruoyi.business.controller.BusinessTemplatePropController.add()', 'POST', 1, 'admin', NULL, '/business/templateProp', '127.0.0.1', '内网IP', '{\"compType\":\"0\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 14:47:50\",\"fieldName\":\"sex\",\"id\":\"1774327728992964609\",\"open\":\"1\",\"optionalValue\":\"0,男|1,女\",\"params\":{},\"placPrompt\":\"请选择性别\",\"title\":\"性别\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 14:47:50');
INSERT INTO `sys_oper_log` VALUES (145, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"questionnaireSurvey\",\"createBy\":\"admin\",\"icon\":\"cascader\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"问卷调查\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":2000,\"path\":\"questionnaireSurvey\",\"query\":\"questionnaireSurvey\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 14:52:26');
INSERT INTO `sys_oper_log` VALUES (146, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"business/templateProp/index\",\"createTime\":\"2024-03-31 14:39:41\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2013,\"menuName\":\"模版属性\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2000,\"path\":\"templateProp\",\"perms\":\"business:templateProp:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 14:52:35');
INSERT INTO `sys_oper_log` VALUES (147, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"business/questionnaireSurvey/index\",\"createTime\":\"2024-03-31 14:52:26\",\"icon\":\"cascader\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2019,\"menuName\":\"问卷调查\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":2000,\"path\":\"business/questionnaireSurvey/index\",\"perms\":\"\",\"query\":\"business/templateProp/index\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 14:52:55');
INSERT INTO `sys_oper_log` VALUES (148, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"business/questionnaireSurvey/index\",\"createTime\":\"2024-03-31 14:52:26\",\"icon\":\"cascader\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2019,\"menuName\":\"问卷调查\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":2000,\"path\":\"business/questionnaireSurvey/index\",\"perms\":\"business/templateProp/index\",\"query\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 14:53:07');
INSERT INTO `sys_oper_log` VALUES (149, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"business/questionnaireSurvey/index\",\"createTime\":\"2024-03-31 14:52:26\",\"icon\":\"cascader\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2019,\"menuName\":\"问卷调查\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":2000,\"path\":\"questionnaireSurvey\",\"perms\":\"business:templateProp:index\",\"query\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 14:53:36');
INSERT INTO `sys_oper_log` VALUES (150, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"business/questionnaireSurvey/index\",\"createTime\":\"2024-03-31 14:52:26\",\"icon\":\"cascader\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2019,\"menuName\":\"问卷调查\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":2000,\"path\":\"questionnaireSurvey\",\"perms\":\"business:templateProp:list\",\"query\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 14:53:49');
INSERT INTO `sys_oper_log` VALUES (151, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"template\",\"className\":\"BusinessTemplate\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":1,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 03:13:37\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":true,\"isIncrement\":\"1\",\"isInsert\":\"1\",\"isPk\":\"1\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":1,\"updateBy\":\"\",\"updateTime\":\"2024-03-31 14:37:35\",\"usableColumn\":false},{\"capJavaField\":\"Title\",\"columnComment\":\"标题\",\"columnId\":2,\"columnName\":\"title\",\"columnType\":\"varchar(100)\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 03:13:37\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"javaField\":\"title\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":1,\"updateBy\":\"\",\"updateTime\":\"2024-03-31 14:37:35\",\"usableColumn\":false},{\"capJavaField\":\"Context\",\"columnComment\":\"内容\",\"columnId\":3,\"columnName\":\"context\",\"columnType\":\"varchar(100)\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 03:13:37\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"javaField\":\"context\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":1,\"updateBy\":\"\",\"updateTime\":\"2024-03-31 14:37:35\",\"usableColumn\":false},{\"capJavaField\":\"Open\",\"columnComment\":\"是否开放\",\"columnId\":11,\"columnName\":\"open\",\"columnType\":\"char(10)\",\"createBy\":\"\",\"createTime\":\"2024-03-31 14:23:14\",\"dictType\":\"open\",\"edit\":true,\"htmlType\":\"select\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQ', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 14:59:13');
INSERT INTO `sys_oper_log` VALUES (152, '模版管理', 1, 'com.ruoyi.business.controller.BusinessTemplateController.add()', 'POST', 1, 'admin', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"createTime\":\"2024-03-31 15:10:53\",\"deleted\":0,\"id\":\"1774333528108978177\",\"params\":{},\"title\":\"ceshi\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 15:10:53');
INSERT INTO `sys_oper_log` VALUES (153, '模版管理', 1, 'com.ruoyi.business.controller.BusinessTemplateController.add()', 'POST', 1, 'admin', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"createTime\":\"2024-03-31 15:11:29\",\"deleted\":0,\"id\":\"1774333678244089858\",\"params\":{},\"title\":\"ceshi\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 15:11:29');
INSERT INTO `sys_oper_log` VALUES (154, '模版属性', 1, 'com.ruoyi.business.controller.BusinessTemplatePropController.add()', 'POST', 1, 'admin', NULL, '/business/templateProp', '127.0.0.1', '内网IP', '{\"compType\":\"1\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 15:39:04\",\"deleted\":0,\"fieldName\":\"like\",\"id\":\"1774340622648369154\",\"open\":\"1\",\"optionalValue\":\"0,电影|1,篮球\",\"optionalValues\":[{\"value\":\"电影\",\"key\":\"0\"},{\"value\":\"篮球\",\"key\":\"1\"}],\"params\":{},\"title\":\"爱好\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 15:39:04');
INSERT INTO `sys_oper_log` VALUES (155, '字典数据', 1, 'com.ruoyi.web.controller.system.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"编辑框\",\"dictSort\":0,\"dictType\":\"comp_type\",\"dictValue\":\"2\",\"listClass\":\"default\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 15:46:08');
INSERT INTO `sys_oper_log` VALUES (156, '代码生成', 6, 'com.ruoyi.generator.controller.GenController.importTableSave()', 'POST', 1, 'admin', NULL, '/tool/gen/importTable', '127.0.0.1', '内网IP', '\"business_template_prop_value\"', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 15:54:59');
INSERT INTO `sys_oper_log` VALUES (157, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.editSave()', 'PUT', 1, 'admin', NULL, '/tool/gen', '127.0.0.1', '内网IP', '{\"businessName\":\"templatePropValue\",\"className\":\"BusinessTemplatePropValue\",\"columns\":[{\"capJavaField\":\"Id\",\"columnComment\":\"主键\",\"columnId\":27,\"columnName\":\"id\",\"columnType\":\"bigint(20)\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 15:54:59\",\"dictType\":\"\",\"edit\":false,\"htmlType\":\"input\",\"increment\":true,\"insert\":false,\"isIncrement\":\"1\",\"isInsert\":\"0\",\"isPk\":\"1\",\"javaField\":\"id\",\"javaType\":\"Long\",\"list\":false,\"params\":{},\"pk\":true,\"query\":false,\"queryType\":\"EQ\",\"required\":false,\"sort\":1,\"superColumn\":false,\"tableId\":3,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"PropId\",\"columnComment\":\"字段id\",\"columnId\":28,\"columnName\":\"prop_id\",\"columnType\":\"varchar(100)\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 15:54:59\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"javaField\":\"propId\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"EQ\",\"required\":false,\"sort\":2,\"superColumn\":false,\"tableId\":3,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"PropName\",\"columnComment\":\"字段名称\",\"columnId\":29,\"columnName\":\"prop_name\",\"columnType\":\"char(10)\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 15:54:59\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"javaField\":\"propName\",\"javaType\":\"String\",\"list\":true,\"params\":{},\"pk\":false,\"query\":true,\"queryType\":\"LIKE\",\"required\":false,\"sort\":3,\"superColumn\":false,\"tableId\":3,\"updateBy\":\"\",\"usableColumn\":false},{\"capJavaField\":\"ValueKey\",\"columnComment\":\"值键\",\"columnId\":30,\"columnName\":\"value_key\",\"columnType\":\"varchar(100)\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 15:54:59\",\"dictType\":\"\",\"edit\":true,\"htmlType\":\"input\",\"increment\":false,\"insert\":true,\"isEdit\":\"1\",\"isIncrement\":\"0\",\"isInsert\":\"1\",\"isList\":\"1\",\"isPk\":\"0\",\"isQuery\":\"1\",\"javaField\":\"valueKey\",\"javaType\":\"String\",\"list\":tr', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 15:56:23');
INSERT INTO `sys_oper_log` VALUES (158, '代码生成', 8, 'com.ruoyi.generator.controller.GenController.batchGenCode()', 'GET', 1, 'admin', NULL, '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"business_template_prop_value\"}', NULL, 0, NULL, '2024-03-31 15:56:32');
INSERT INTO `sys_oper_log` VALUES (159, '模版管理', 3, 'com.ruoyi.business.controller.BusinessTemplateController.remove()', 'DELETE', 1, 'admin', NULL, '/business/template/1774333528108978177,1774333678244089858', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 17:08:31');
INSERT INTO `sys_oper_log` VALUES (160, '字典数据', 2, 'com.ruoyi.web.controller.system.SysDictDataController.edit()', 'PUT', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"createTime\":\"2024-03-31 15:46:08\",\"default\":false,\"dictCode\":104,\"dictLabel\":\"单行文本\",\"dictSort\":0,\"dictType\":\"comp_type\",\"dictValue\":\"2\",\"isDefault\":\"N\",\"listClass\":\"default\",\"params\":{},\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 17:31:57');
INSERT INTO `sys_oper_log` VALUES (161, '字典数据', 2, 'com.ruoyi.web.controller.system.SysDictDataController.edit()', 'PUT', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"createTime\":\"2024-03-31 14:24:26\",\"default\":false,\"dictCode\":100,\"dictLabel\":\"单选框组\",\"dictSort\":0,\"dictType\":\"comp_type\",\"dictValue\":\"0\",\"isDefault\":\"N\",\"listClass\":\"default\",\"params\":{},\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 17:32:10');
INSERT INTO `sys_oper_log` VALUES (162, '字典数据', 2, 'com.ruoyi.web.controller.system.SysDictDataController.edit()', 'PUT', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"createTime\":\"2024-03-31 14:24:45\",\"default\":false,\"dictCode\":101,\"dictLabel\":\"多选框组\",\"dictSort\":0,\"dictType\":\"comp_type\",\"dictValue\":\"1\",\"isDefault\":\"N\",\"listClass\":\"default\",\"params\":{},\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 17:32:22');
INSERT INTO `sys_oper_log` VALUES (163, '字典数据', 1, 'com.ruoyi.web.controller.system.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"多行文本\",\"dictSort\":0,\"dictType\":\"comp_type\",\"dictValue\":\"3\",\"listClass\":\"default\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 17:32:38');
INSERT INTO `sys_oper_log` VALUES (164, '字典数据', 1, 'com.ruoyi.web.controller.system.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"密码\",\"dictSort\":0,\"dictType\":\"comp_type\",\"dictValue\":\"5\",\"listClass\":\"default\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 17:32:48');
INSERT INTO `sys_oper_log` VALUES (165, '字典数据', 2, 'com.ruoyi.web.controller.system.SysDictDataController.edit()', 'PUT', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"createTime\":\"2024-03-31 17:32:48\",\"default\":false,\"dictCode\":106,\"dictLabel\":\"密码\",\"dictSort\":0,\"dictType\":\"comp_type\",\"dictValue\":\"4\",\"isDefault\":\"N\",\"listClass\":\"default\",\"params\":{},\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 17:32:53');
INSERT INTO `sys_oper_log` VALUES (166, '字典数据', 1, 'com.ruoyi.web.controller.system.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"计数器\",\"dictSort\":0,\"dictType\":\"comp_type\",\"dictValue\":\"6\",\"listClass\":\"default\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 17:33:12');
INSERT INTO `sys_oper_log` VALUES (167, '字典数据', 2, 'com.ruoyi.web.controller.system.SysDictDataController.edit()', 'PUT', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"createTime\":\"2024-03-31 17:33:12\",\"default\":false,\"dictCode\":107,\"dictLabel\":\"计数器\",\"dictSort\":0,\"dictType\":\"comp_type\",\"dictValue\":\"5\",\"isDefault\":\"N\",\"listClass\":\"default\",\"params\":{},\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 17:33:16');
INSERT INTO `sys_oper_log` VALUES (168, '字典数据', 1, 'com.ruoyi.web.controller.system.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"下拉选择\",\"dictSort\":0,\"dictType\":\"comp_type\",\"dictValue\":\"6\",\"listClass\":\"default\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 17:33:55');
INSERT INTO `sys_oper_log` VALUES (169, '字典数据', 1, 'com.ruoyi.web.controller.system.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"开关\",\"dictSort\":0,\"dictType\":\"comp_type\",\"dictValue\":\"7\",\"listClass\":\"default\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 17:34:12');
INSERT INTO `sys_oper_log` VALUES (170, '字典数据', 1, 'com.ruoyi.web.controller.system.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"时间选择\",\"dictSort\":0,\"dictType\":\"comp_type\",\"dictValue\":\"8\",\"listClass\":\"default\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 17:35:01');
INSERT INTO `sys_oper_log` VALUES (171, '字典数据', 1, 'com.ruoyi.web.controller.system.SysDictDataController.add()', 'POST', 1, 'admin', NULL, '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"时间范围\",\"dictSort\":0,\"dictType\":\"comp_type\",\"dictValue\":\"9\",\"listClass\":\"default\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 17:35:29');
INSERT INTO `sys_oper_log` VALUES (172, '模版属性', 1, 'com.ruoyi.business.controller.BusinessTemplatePropController.add()', 'POST', 1, 'admin', NULL, '/business/templateProp', '127.0.0.1', '内网IP', '{\"compType\":\"3\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 18:11:48\",\"deleted\":0,\"fieldName\":\"doubleRows\",\"id\":\"1774379056024895489\",\"optionalValues\":[],\"params\":{},\"placPrompt\":\"测试多行\",\"title\":\"多行\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 18:11:48');
INSERT INTO `sys_oper_log` VALUES (173, '模版属性', 1, 'com.ruoyi.business.controller.BusinessTemplatePropController.add()', 'POST', 1, 'admin', NULL, '/business/templateProp', '127.0.0.1', '内网IP', '{\"compType\":\"4\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 18:12:29\",\"deleted\":0,\"fieldName\":\"pwd\",\"id\":\"1774379229778132993\",\"optionalValues\":[],\"params\":{},\"title\":\"密码\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 18:12:29');
INSERT INTO `sys_oper_log` VALUES (174, '模版属性', 1, 'com.ruoyi.business.controller.BusinessTemplatePropController.add()', 'POST', 1, 'admin', NULL, '/business/templateProp', '127.0.0.1', '内网IP', '{\"compType\":\"5\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 18:13:01\",\"deleted\":0,\"fieldName\":\"calcNum\",\"id\":\"1774379365837160450\",\"optionalValues\":[],\"params\":{},\"title\":\"计数器\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 18:13:01');
INSERT INTO `sys_oper_log` VALUES (175, '模版属性', 1, 'com.ruoyi.business.controller.BusinessTemplatePropController.add()', 'POST', 1, 'admin', NULL, '/business/templateProp', '127.0.0.1', '内网IP', '{\"compType\":\"6\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 18:14:22\",\"deleted\":0,\"fieldName\":\"selected\",\"id\":\"1774379705177325569\",\"optionalValue\":\"0,选择一|1,选择二\",\"optionalValues\":[{\"value\":\"选择一\",\"key\":\"0\"},{\"value\":\"选择二\",\"key\":\"1\"}],\"params\":{},\"title\":\"下拉\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 18:14:22');
INSERT INTO `sys_oper_log` VALUES (176, '模版属性', 1, 'com.ruoyi.business.controller.BusinessTemplatePropController.add()', 'POST', 1, 'admin', NULL, '/business/templateProp', '127.0.0.1', '内网IP', '{\"compType\":\"7\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 18:14:45\",\"deleted\":0,\"fieldName\":\"openOrClose\",\"id\":\"1774379799100375041\",\"optionalValues\":[],\"params\":{},\"title\":\"开关\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 18:14:45');
INSERT INTO `sys_oper_log` VALUES (177, '模版属性', 1, 'com.ruoyi.business.controller.BusinessTemplatePropController.add()', 'POST', 1, 'admin', NULL, '/business/templateProp', '127.0.0.1', '内网IP', '{\"compType\":\"8\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 18:15:14\",\"deleted\":0,\"fieldName\":\"selectTime\",\"id\":\"1774379921293033474\",\"optionalValues\":[],\"params\":{},\"title\":\"时间选择\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 18:15:14');
INSERT INTO `sys_oper_log` VALUES (178, '模版属性', 1, 'com.ruoyi.business.controller.BusinessTemplatePropController.add()', 'POST', 1, 'admin', NULL, '/business/templateProp', '127.0.0.1', '内网IP', '{\"compType\":\"9\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 18:15:38\",\"deleted\":0,\"fieldName\":\"beginEndTime\",\"id\":\"1774380021302018049\",\"optionalValues\":[],\"params\":{},\"title\":\"时间范围\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 18:15:38');
INSERT INTO `sys_oper_log` VALUES (179, '模版属性', 1, 'com.ruoyi.business.controller.BusinessTemplatePropController.add()', 'POST', 1, 'admin', NULL, '/business/templateProp', '127.0.0.1', '内网IP', '{\"compType\":\"4\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 18:17:30\",\"deleted\":0,\"fieldName\":\"123\",\"id\":\"1774380493643563009\",\"optionalValues\":[],\"params\":{},\"tempId\":1774327297961119745,\"title\":\"ceshi \"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 18:17:30');
INSERT INTO `sys_oper_log` VALUES (180, '代码生成', 2, 'com.ruoyi.generator.controller.GenController.synchDb()', 'GET', 1, 'admin', NULL, '/tool/gen/synchDb/business_template_prop_value', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 18:23:24');
INSERT INTO `sys_oper_log` VALUES (181, '模版属性值', 1, 'com.ruoyi.business.controller.BusinessTemplatePropValueController.addList()', 'POST', 1, 'admin', NULL, '/business/templatePropValue/addList', '127.0.0.1', '内网IP', '{\"12312312312\":[\"0\",\"1\"],\"1774327728992964609\":\"0\",\"1774340622648369155\":\"zs\",\"1774379056024895489\":\"123\",\"1774379229778132993\":\"123\",\"1774379365837160450\":0,\"1774379705177325569\":\"1\",\"1774379799100375041\":false,\"1774379921293033474\":\"19:10:14\",\"1774380021302018049\":[\"08:00:00\",\"08:00:00\"]}', NULL, 1, '0', '2024-03-31 19:10:24');
INSERT INTO `sys_oper_log` VALUES (182, '模版属性值', 1, 'com.ruoyi.business.controller.BusinessTemplatePropValueController.addList()', 'POST', 1, 'admin', NULL, '/business/templatePropValue/addList', '127.0.0.1', '内网IP', '{\"12312312312\":[\"0\",\"1\"],\"1774327728992964609\":\"0\",\"1774340622648369155\":\"zs\",\"1774379056024895489\":\"123\",\"1774379229778132993\":\"123\",\"1774379365837160450\":0,\"1774379705177325569\":\"1\",\"1774379799100375041\":false,\"1774379921293033474\":\"19:10:14\",\"1774380021302018049\":[\"08:00:00\",\"08:00:00\"]}', NULL, 1, '0', '2024-03-31 19:10:58');
INSERT INTO `sys_oper_log` VALUES (183, '模版属性值', 1, 'com.ruoyi.business.controller.BusinessTemplatePropValueController.addList()', 'POST', 1, 'admin', NULL, '/business/templatePropValue/addList', '127.0.0.1', '内网IP', '{\"12312312312\":[\"0\",\"1\"],\"1774327728992964609\":\"0\",\"1774340622648369155\":\"zs\",\"1774379056024895489\":\"123\",\"1774379229778132993\":\"123\",\"1774379365837160450\":0,\"1774379705177325569\":\"1\",\"1774379799100375041\":false,\"1774379921293033474\":\"19:10:14\",\"1774380021302018049\":[\"08:00:00\",\"08:00:00\"]}', NULL, 1, '0', '2024-03-31 19:14:00');
INSERT INTO `sys_oper_log` VALUES (184, '模版属性值', 1, 'com.ruoyi.business.controller.BusinessTemplatePropValueController.addList()', 'POST', 1, 'admin', NULL, '/business/templatePropValue/addList', '127.0.0.1', '内网IP', '{\"12312312312\":[\"0\",\"1\"],\"1774327728992964609\":\"0\",\"1774340622648369155\":\"zs\",\"1774379056024895489\":\"123\",\"1774379229778132993\":\"123\",\"1774379365837160450\":0,\"1774379705177325569\":\"1\",\"1774379799100375041\":false,\"1774379921293033474\":\"19:10:14\",\"1774380021302018049\":[\"08:00:00\",\"08:00:00\"]}', NULL, 1, 'String index out of range: -1', '2024-03-31 19:15:13');
INSERT INTO `sys_oper_log` VALUES (185, '模版属性值', 1, 'com.ruoyi.business.controller.BusinessTemplatePropValueController.addList()', 'POST', 1, 'admin', NULL, '/business/templatePropValue/addList', '127.0.0.1', '内网IP', '{\"12312312312\":[\"0\",\"1\"],\"1774327728992964609\":\"0\",\"1774340622648369155\":\"zs\",\"1774379056024895489\":\"123\",\"1774379229778132993\":\"123\",\"1774379365837160450\":0,\"1774379705177325569\":\"1\",\"1774379799100375041\":false,\"1774379921293033474\":\"19:10:14\",\"1774380021302018049\":[\"08:00:00\",\"08:00:00\"]}', NULL, 1, 'String index out of range: -1', '2024-03-31 19:17:07');
INSERT INTO `sys_oper_log` VALUES (186, '模版属性值', 1, 'com.ruoyi.business.controller.BusinessTemplatePropValueController.addList()', 'POST', 1, 'admin', NULL, '/business/templatePropValue/addList', '127.0.0.1', '内网IP', '{\"12312312312\":[\"0\",\"1\"],\"1774327728992964609\":\"0\",\"1774340622648369155\":\"zs\",\"1774379056024895489\":\"123\",\"1774379229778132993\":\"123\",\"1774379365837160450\":0,\"1774379705177325569\":\"1\",\"1774379799100375041\":false,\"1774379921293033474\":\"19:10:14\",\"1774380021302018049\":[\"08:00:00\",\"08:00:00\"]}', NULL, 1, 'com.ruoyi.business.mapper.BusinessTemplatePropValueMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: Data truncation: Data too long for column \'prop_name\' at row 1\n; Data truncation: Data too long for column \'prop_name\' at row 1; nested exception is java.sql.BatchUpdateException: Data truncation: Data too long for column \'prop_name\' at row 1', '2024-03-31 19:17:48');
INSERT INTO `sys_oper_log` VALUES (187, '模版属性值', 1, 'com.ruoyi.business.controller.BusinessTemplatePropValueController.addList()', 'POST', 1, 'admin', NULL, '/business/templatePropValue/addList', '127.0.0.1', '内网IP', '{\"12312312312\":[\"0\",\"1\"],\"1774327728992964609\":\"0\",\"1774340622648369155\":\"zs\",\"1774379056024895489\":\"123\",\"1774379229778132993\":\"123\",\"1774379365837160450\":0,\"1774379705177325569\":\"1\",\"1774379799100375041\":false,\"1774379921293033474\":\"19:10:14\",\"1774380021302018049\":[\"08:00:00\",\"08:00:00\"]}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 19:19:36');
INSERT INTO `sys_oper_log` VALUES (188, '模版属性值', 1, 'com.ruoyi.business.controller.BusinessTemplatePropValueController.addList()', 'POST', 1, 'admin', NULL, '/business/templatePropValue/addList', '127.0.0.1', '内网IP', '{\"12312312312\":[\"0\",\"1\"],\"1774327728992964609\":\"1\",\"1774340622648369155\":\"123\",\"1774379056024895489\":\"123\",\"1774379229778132993\":\"123\",\"1774379365837160450\":1,\"1774379705177325569\":\"0\",\"1774379799100375041\":false,\"1774379921293033474\":\"19:21:53\",\"1774380021302018049\":[\"08:00:00\",\"08:00:00\"]}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 19:22:01');
INSERT INTO `sys_oper_log` VALUES (189, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"business/surveySubmit/index\",\"createTime\":\"2024-03-31 15:04:24\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2022,\"menuName\":\"填写问卷\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2000,\"path\":\"surveySubmit\",\"perms\":\"business:template:list\",\"query\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 19:32:06');
INSERT INTO `sys_oper_log` VALUES (190, '模版属性值', 1, 'com.ruoyi.business.controller.BusinessTemplatePropValueController.addList()', 'POST', 1, 'admin', NULL, '/business/templatePropValue/addList', '127.0.0.1', '内网IP', '{\"12312312312\":[\"0\",\"1\"],\"1774327728992964609\":\"1\",\"1774340622648369155\":\"123\",\"1774379056024895489\":\"123温柔345\",\"1774379229778132993\":\"123\",\"1774379365837160450\":1,\"1774379705177325569\":\"0\",\"1774379799100375041\":false,\"1774379921293033474\":\"19:21:53\",\"1774380021302018049\":\"[08:00:00, 08:00:00]\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 19:53:31');
INSERT INTO `sys_oper_log` VALUES (191, '模版属性值', 1, 'com.ruoyi.business.controller.BusinessTemplatePropValueController.addList()', 'POST', 1, 'admin', NULL, '/business/templatePropValue/addList', '127.0.0.1', '内网IP', '{\"12312312312\":[\"0\",\"1\"],\"1774327728992964609\":\"1\",\"1774340622648369155\":\"123\",\"1774379056024895489\":\"123温柔345\",\"1774379229778132993\":\"123\",\"1774379365837160450\":1,\"1774379705177325569\":\"0\",\"1774379799100375041\":false,\"1774379921293033474\":\"19:21:53\",\"1774380021302018049\":\"[08:00:00, 08:00:00]\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 19:54:45');
INSERT INTO `sys_oper_log` VALUES (192, '模版属性值', 1, 'com.ruoyi.business.controller.BusinessTemplatePropValueController.addList()', 'POST', 1, 'admin', NULL, '/business/templatePropValue/addList', '127.0.0.1', '内网IP', '{\"12312312312\":[\"0\",\"1\"],\"1774327728992964609\":\"1\",\"1774340622648369155\":\"123\",\"1774379056024895489\":\"123温柔345\",\"1774379229778132993\":\"123\",\"1774379365837160450\":1,\"1774379705177325569\":\"0\",\"1774379799100375041\":false,\"1774379921293033474\":\"19:21:53\",\"1774380021302018049\":\"[08:00:00, 08:00:00]\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 19:56:19');
INSERT INTO `sys_oper_log` VALUES (193, '模版属性值', 1, 'com.ruoyi.business.controller.BusinessTemplatePropValueController.addList()', 'POST', 1, 'admin', NULL, '/business/templatePropValue/addList', '127.0.0.1', '内网IP', '{\"12312312312\":[\"0\",\"1\"],\"1774327728992964609\":\"1\",\"1774340622648369155\":\"123\",\"1774379056024895489\":\"1231231231234345436梵蒂冈合法的\",\"1774379229778132993\":\"123\",\"1774379365837160450\":1,\"1774379705177325569\":\"0\",\"1774379799100375041\":false,\"1774379921293033474\":\"19:21:53\",\"1774380021302018049\":\"[08:00:00, 08:00:00]\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 19:57:24');
INSERT INTO `sys_oper_log` VALUES (194, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"business/surveySubmit/index\",\"createTime\":\"2024-03-31 15:04:24\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2022,\"menuName\":\"填写问卷\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2000,\"path\":\"surveySubmit\",\"perms\":\"business:template:list\",\"query\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 19:59:08');
INSERT INTO `sys_oper_log` VALUES (195, '模版属性值', 1, 'com.ruoyi.business.controller.BusinessTemplatePropValueController.addList()', 'POST', 1, 'admin', NULL, '/business/templatePropValue/addList', '127.0.0.1', '内网IP', '{\"1774327728992964609\":\"1\",\"1774379799100375041\":false,\"1774380021302018049\":\"[08:00:00, 08:00:00]\",\"1774379056024895489\":\"1231231231234345436梵蒂冈合法的\",\"1774379229778132993\":\"123\",\"1774379705177325569\":\"1\",\"1774379921293033474\":\"19:21:53\",\"1774379365837160450\":1,\"1774340622648369155\":\"123\",\"12312312312\":[\"0\",\"1\"]}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 21:36:27');
INSERT INTO `sys_oper_log` VALUES (196, '模版属性值', 1, 'com.ruoyi.business.controller.BusinessTemplatePropValueController.addList()', 'POST', 1, 'admin', NULL, '/business/templatePropValue/addList', '127.0.0.1', '内网IP', '{\"1774327728992964609\":\"1\",\"1774379799100375041\":false,\"1774380021302018049\":\"[08:00:00, 08:00:00]\",\"1774379056024895489\":\"1231231231234345436梵蒂冈合法的\",\"1774379229778132993\":\"123\",\"1774379705177325569\":\"1\",\"1774379921293033474\":\"19:21:53\",\"1774379365837160450\":1,\"1774340622648369155\":\"123\",\"12312312312\":[\"0\",\"1\"]}', NULL, 1, 'java.lang.String cannot be cast to java.util.ArrayList', '2024-03-31 21:38:42');
INSERT INTO `sys_oper_log` VALUES (197, '模版属性值', 1, 'com.ruoyi.business.controller.BusinessTemplatePropValueController.addList()', 'POST', 1, 'admin', NULL, '/business/templatePropValue/addList', '127.0.0.1', '内网IP', '{\"1774327728992964609\":\"1\",\"1774379799100375041\":false,\"1774380021302018049\":\"[08:00:00, 08:00:00]\",\"1774379056024895489\":\"1231231231234345436梵蒂冈合法的\",\"1774379229778132993\":\"123\",\"1774379705177325569\":\"1\",\"1774379921293033474\":\"19:21:53\",\"1774379365837160450\":1,\"1774340622648369155\":\"123\",\"12312312312\":[\"0\",\"1\"]}', NULL, 1, 'java.lang.String cannot be cast to java.util.ArrayList', '2024-03-31 21:39:08');
INSERT INTO `sys_oper_log` VALUES (198, '模版属性值', 1, 'com.ruoyi.business.controller.BusinessTemplatePropValueController.addList()', 'POST', 1, 'admin', NULL, '/business/templatePropValue/addList', '127.0.0.1', '内网IP', '{\"1774327728992964609\":\"1\",\"1774379799100375041\":false,\"1774380021302018049\":\"[08:00:00, 08:00:00]\",\"1774379056024895489\":\"1231231231234345436梵蒂冈合法的\",\"1774379229778132993\":\"123\",\"1774379705177325569\":\"1\",\"1774379921293033474\":\"19:21:53\",\"1774379365837160450\":1,\"1774340622648369155\":\"123\",\"12312312312\":[\"0\",\"1\"]}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 21:40:05');
INSERT INTO `sys_oper_log` VALUES (199, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"business/countGroup/index\",\"createTime\":\"2024-03-31 15:04:24\",\"icon\":\"#\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2029,\"menuName\":\"问卷统计\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2000,\"path\":\"countGroup\",\"perms\":\"business:countGroup:list\",\"query\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 21:41:51');
INSERT INTO `sys_oper_log` VALUES (200, '模版管理', 1, 'com.ruoyi.business.controller.BusinessTemplateController.add()', 'POST', 1, 'admin', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"context\":\"123123\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 21:46:02\",\"deleted\":0,\"id\":\"1774432972057894914\",\"open\":\"0\",\"params\":{},\"title\":\"测试2\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 21:46:02');
INSERT INTO `sys_oper_log` VALUES (201, '模版管理', 2, 'com.ruoyi.business.controller.BusinessTemplateController.edit()', 'PUT', 1, 'admin', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"context\":\"123123\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 21:46:03\",\"deleted\":0,\"id\":\"1774432972057894914\",\"open\":\"1\",\"params\":{},\"title\":\"测试2\",\"updateBy\":\"admin\",\"updateTime\":\"2024-03-31 21:56:33\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 21:56:33');
INSERT INTO `sys_oper_log` VALUES (202, '模版管理', 2, 'com.ruoyi.business.controller.BusinessTemplateController.edit()', 'PUT', 1, 'admin', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"context\":\"123123\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 21:46:03\",\"deleted\":0,\"id\":\"1774432972057894914\",\"open\":\"0\",\"params\":{},\"title\":\"测试2\",\"updateBy\":\"admin\",\"updateTime\":\"2024-03-31 21:56:33\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 21:56:42');
INSERT INTO `sys_oper_log` VALUES (203, '用户管理', 1, 'com.ruoyi.web.controller.system.SysUserController.add()', 'POST', 1, 'admin', NULL, '/system/user', '127.0.0.1', '内网IP', '{\"admin\":false,\"createBy\":\"admin\",\"deptId\":100,\"nickName\":\"测试用户\",\"params\":{},\"postIds\":[],\"roleIds\":[],\"status\":\"0\",\"userId\":100,\"userName\":\"test1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 22:05:39');
INSERT INTO `sys_oper_log` VALUES (204, '角色管理', 1, 'com.ruoyi.web.controller.system.SysRoleController.add()', 'POST', 1, 'admin', NULL, '/system/role', '127.0.0.1', '内网IP', '{\"admin\":false,\"createBy\":\"admin\",\"deptCheckStrictly\":true,\"deptIds\":[],\"flag\":false,\"menuCheckStrictly\":true,\"menuIds\":[2000,2007,2008,2009,2010,2011,2012,2013,2014,2015,2016,2017,2018,2021,2022,2029],\"params\":{},\"roleId\":100,\"roleKey\":\"user\",\"roleName\":\"管理员\",\"roleSort\":0,\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 22:07:11');
INSERT INTO `sys_oper_log` VALUES (205, '用户管理', 4, 'com.ruoyi.web.controller.system.SysUserController.insertAuthRole()', 'PUT', 1, 'admin', NULL, '/system/user/authRole', '127.0.0.1', '内网IP', '100 [100]', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 22:07:35');
INSERT INTO `sys_oper_log` VALUES (206, '模版管理', 1, 'com.ruoyi.business.controller.BusinessTemplateController.add()', 'POST', 1, 'test1', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"context\":\"123\",\"createBy\":\"test1\",\"createTime\":\"2024-03-31 22:08:07\",\"deleted\":0,\"id\":\"1774438528533504001\",\"open\":\"1\",\"params\":{},\"title\":\"test1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 22:08:07');
INSERT INTO `sys_oper_log` VALUES (207, '模版属性', 1, 'com.ruoyi.business.controller.BusinessTemplatePropController.add()', 'POST', 1, 'test1', NULL, '/business/templateProp', '127.0.0.1', '内网IP', '{\"compType\":\"2\",\"createBy\":\"test1\",\"createTime\":\"2024-03-31 22:20:43\",\"deleted\":0,\"fieldName\":\"123\",\"id\":\"1774441701222490114\",\"optionalValues\":[],\"params\":{},\"tempId\":1774438528533504001,\"title\":\"ceshi\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 22:20:43');
INSERT INTO `sys_oper_log` VALUES (208, '模版管理', 1, 'com.ruoyi.business.controller.BusinessTemplateController.add()', 'POST', 1, 'admin', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"context\":\"123123\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 22:29:02\",\"deleted\":0,\"id\":\"1774443791038652417\",\"open\":\"1\",\"params\":{},\"title\":\"这是测试\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 22:29:02');
INSERT INTO `sys_oper_log` VALUES (209, '模版属性', 1, 'com.ruoyi.business.controller.BusinessTemplatePropController.add()', 'POST', 1, 'admin', NULL, '/business/templateProp', '127.0.0.1', '内网IP', '{\"compType\":\"0\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 22:30:14\",\"deleted\":0,\"fieldName\":\"test\",\"id\":\"1774444094773370882\",\"optionalValue\":\"1,张三|2,李四\",\"optionalValues\":[{\"value\":\"张三\",\"key\":\"1\"},{\"value\":\"李四\",\"key\":\"2\"}],\"params\":{},\"tempId\":1774443791038652417,\"title\":\"这是测试\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 22:30:14');
INSERT INTO `sys_oper_log` VALUES (210, '模版管理', 2, 'com.ruoyi.business.controller.BusinessTemplateController.edit()', 'PUT', 1, 'admin', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"context\":\"123123\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 22:29:02\",\"deleted\":0,\"id\":\"1774443791038652417\",\"open\":\"0\",\"params\":{},\"title\":\"这是测试\",\"updateBy\":\"admin\",\"updateTime\":\"2024-03-31 22:30:45\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 22:30:45');
INSERT INTO `sys_oper_log` VALUES (211, '模版管理', 2, 'com.ruoyi.business.controller.BusinessTemplateController.edit()', 'PUT', 1, 'admin', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"context\":\"123123\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 22:29:02\",\"deleted\":0,\"id\":\"1774443791038652417\",\"open\":\"1\",\"params\":{},\"title\":\"这是测试\",\"updateBy\":\"admin\",\"updateTime\":\"2024-03-31 22:30:45\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 22:30:56');
INSERT INTO `sys_oper_log` VALUES (212, '模版属性值', 1, 'com.ruoyi.business.controller.BusinessTemplatePropValueController.addList()', 'POST', 1, 'admin', NULL, '/business/templatePropValue/addList', '127.0.0.1', '内网IP', '{\"1774444094773370882\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 22:31:05');
INSERT INTO `sys_oper_log` VALUES (213, '模版管理', 2, 'com.ruoyi.business.controller.BusinessTemplateController.edit()', 'PUT', 1, 'admin', NULL, '/business/template', '127.0.0.1', '内网IP', '{\"context\":\"123123\",\"createBy\":\"admin\",\"createTime\":\"2024-03-31 22:29:02\",\"deleted\":0,\"id\":\"1774443791038652417\",\"open\":\"0\",\"params\":{},\"title\":\"这是测试\",\"updateBy\":\"admin\",\"updateTime\":\"2024-03-31 22:30:45\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 22:32:48');
INSERT INTO `sys_oper_log` VALUES (214, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"business/template/index\",\"createTime\":\"2024-03-31 14:39:33\",\"icon\":\"#\",\"isCache\":\"1\",\"isFrame\":\"1\",\"menuId\":2007,\"menuName\":\"模版管理\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2000,\"path\":\"template\",\"perms\":\"business:template:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 22:33:50');
INSERT INTO `sys_oper_log` VALUES (215, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"business/templateProp/index\",\"createTime\":\"2024-03-31 14:39:41\",\"icon\":\"#\",\"isCache\":\"1\",\"isFrame\":\"1\",\"menuId\":2013,\"menuName\":\"模版属性\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2000,\"path\":\"templateProp\",\"perms\":\"business:templateProp:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 22:33:54');
INSERT INTO `sys_oper_log` VALUES (216, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"business/survey/index\",\"createTime\":\"2024-03-31 15:00:21\",\"icon\":\"#\",\"isCache\":\"1\",\"isFrame\":\"1\",\"menuId\":2021,\"menuName\":\"问卷调查\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2000,\"path\":\"survey\",\"perms\":\"business:template:list\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 22:33:58');
INSERT INTO `sys_oper_log` VALUES (217, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"business/surveySubmit/index\",\"createTime\":\"2024-03-31 15:04:24\",\"icon\":\"#\",\"isCache\":\"1\",\"isFrame\":\"1\",\"menuId\":2022,\"menuName\":\"填写问卷\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2000,\"path\":\"surveySubmit\",\"perms\":\"business:template:list\",\"query\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 22:34:03');
INSERT INTO `sys_oper_log` VALUES (218, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"business/countGroup/index\",\"createTime\":\"2024-03-31 15:04:24\",\"icon\":\"#\",\"isCache\":\"1\",\"isFrame\":\"1\",\"menuId\":2029,\"menuName\":\"问卷统计\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":2000,\"path\":\"countGroup\",\"perms\":\"business:countGroup:list\",\"query\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 22:34:07');
INSERT INTO `sys_oper_log` VALUES (219, '模版属性值', 1, 'com.ruoyi.business.controller.BusinessTemplatePropValueController.addList()', 'POST', 1, 'test1', NULL, '/business/templatePropValue/addList', '127.0.0.1', '内网IP', '{\"1774441701222490114\":\"123\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-03-31 22:37:45');

-- ----------------------------
-- Table structure for sys_post
-- ----------------------------
DROP TABLE IF EXISTS `sys_post`;
CREATE TABLE `sys_post`  (
  `post_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '岗位ID',
  `post_code` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '岗位编码',
  `post_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '岗位名称',
  `post_sort` int(4) NOT NULL COMMENT '显示顺序',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`post_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 5 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '岗位信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_post
-- ----------------------------
INSERT INTO `sys_post` VALUES (1, 'ceo', '董事长', 1, '0', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_post` VALUES (2, 'se', '项目经理', 2, '0', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_post` VALUES (3, 'hr', '人力资源', 3, '0', 'admin', '2024-03-31 01:19:09', '', NULL, '');
INSERT INTO `sys_post` VALUES (4, 'user', '普通员工', 4, '0', 'admin', '2024-03-31 01:19:09', '', NULL, '');

-- ----------------------------
-- Table structure for sys_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_role`;
CREATE TABLE `sys_role`  (
  `role_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '角色ID',
  `role_name` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '角色名称',
  `role_key` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '角色权限字符串',
  `role_sort` int(4) NOT NULL COMMENT '显示顺序',
  `data_scope` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '1' COMMENT '数据范围（1：全部数据权限 2：自定数据权限 3：本部门数据权限 4：本部门及以下数据权限）',
  `menu_check_strictly` tinyint(1) NULL DEFAULT 1 COMMENT '菜单树选择项是否关联显示',
  `dept_check_strictly` tinyint(1) NULL DEFAULT 1 COMMENT '部门树选择项是否关联显示',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '角色状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`role_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 101 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '角色信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_role
-- ----------------------------
INSERT INTO `sys_role` VALUES (1, '超级管理员', 'admin', 1, '1', 1, 1, '0', '0', 'admin', '2024-03-31 01:19:09', '', NULL, '超级管理员');

-- ----------------------------
-- Table structure for sys_role_dept
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_dept`;
CREATE TABLE `sys_role_dept`  (
  `role_id` bigint(20) NOT NULL COMMENT '角色ID',
  `dept_id` bigint(20) NOT NULL COMMENT '部门ID',
  PRIMARY KEY (`role_id`, `dept_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '角色和部门关联表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_role_dept
-- ----------------------------
INSERT INTO `sys_role_dept` VALUES (2, 100);
INSERT INTO `sys_role_dept` VALUES (2, 101);
INSERT INTO `sys_role_dept` VALUES (2, 105);

-- ----------------------------
-- Table structure for sys_role_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_menu`;
CREATE TABLE `sys_role_menu`  (
  `role_id` bigint(20) NOT NULL COMMENT '角色ID',
  `menu_id` bigint(20) NOT NULL COMMENT '菜单ID',
  PRIMARY KEY (`role_id`, `menu_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '角色和菜单关联表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_role_menu
-- ----------------------------
INSERT INTO `sys_role_menu` VALUES (2, 1);
INSERT INTO `sys_role_menu` VALUES (2, 2);
INSERT INTO `sys_role_menu` VALUES (2, 3);
INSERT INTO `sys_role_menu` VALUES (2, 4);
INSERT INTO `sys_role_menu` VALUES (2, 100);
INSERT INTO `sys_role_menu` VALUES (2, 101);
INSERT INTO `sys_role_menu` VALUES (2, 102);
INSERT INTO `sys_role_menu` VALUES (2, 103);
INSERT INTO `sys_role_menu` VALUES (2, 104);
INSERT INTO `sys_role_menu` VALUES (2, 105);
INSERT INTO `sys_role_menu` VALUES (2, 106);
INSERT INTO `sys_role_menu` VALUES (2, 107);
INSERT INTO `sys_role_menu` VALUES (2, 108);
INSERT INTO `sys_role_menu` VALUES (2, 109);
INSERT INTO `sys_role_menu` VALUES (2, 110);
INSERT INTO `sys_role_menu` VALUES (2, 111);
INSERT INTO `sys_role_menu` VALUES (2, 112);
INSERT INTO `sys_role_menu` VALUES (2, 113);
INSERT INTO `sys_role_menu` VALUES (2, 114);
INSERT INTO `sys_role_menu` VALUES (2, 115);
INSERT INTO `sys_role_menu` VALUES (2, 116);
INSERT INTO `sys_role_menu` VALUES (2, 117);
INSERT INTO `sys_role_menu` VALUES (2, 500);
INSERT INTO `sys_role_menu` VALUES (2, 501);
INSERT INTO `sys_role_menu` VALUES (2, 1000);
INSERT INTO `sys_role_menu` VALUES (2, 1001);
INSERT INTO `sys_role_menu` VALUES (2, 1002);
INSERT INTO `sys_role_menu` VALUES (2, 1003);
INSERT INTO `sys_role_menu` VALUES (2, 1004);
INSERT INTO `sys_role_menu` VALUES (2, 1005);
INSERT INTO `sys_role_menu` VALUES (2, 1006);
INSERT INTO `sys_role_menu` VALUES (2, 1007);
INSERT INTO `sys_role_menu` VALUES (2, 1008);
INSERT INTO `sys_role_menu` VALUES (2, 1009);
INSERT INTO `sys_role_menu` VALUES (2, 1010);
INSERT INTO `sys_role_menu` VALUES (2, 1011);
INSERT INTO `sys_role_menu` VALUES (2, 1012);
INSERT INTO `sys_role_menu` VALUES (2, 1013);
INSERT INTO `sys_role_menu` VALUES (2, 1014);
INSERT INTO `sys_role_menu` VALUES (2, 1015);
INSERT INTO `sys_role_menu` VALUES (2, 1016);
INSERT INTO `sys_role_menu` VALUES (2, 1017);
INSERT INTO `sys_role_menu` VALUES (2, 1018);
INSERT INTO `sys_role_menu` VALUES (2, 1019);
INSERT INTO `sys_role_menu` VALUES (2, 1020);
INSERT INTO `sys_role_menu` VALUES (2, 1021);
INSERT INTO `sys_role_menu` VALUES (2, 1022);
INSERT INTO `sys_role_menu` VALUES (2, 1023);
INSERT INTO `sys_role_menu` VALUES (2, 1024);
INSERT INTO `sys_role_menu` VALUES (2, 1025);
INSERT INTO `sys_role_menu` VALUES (2, 1026);
INSERT INTO `sys_role_menu` VALUES (2, 1027);
INSERT INTO `sys_role_menu` VALUES (2, 1028);
INSERT INTO `sys_role_menu` VALUES (2, 1029);
INSERT INTO `sys_role_menu` VALUES (2, 1030);
INSERT INTO `sys_role_menu` VALUES (2, 1031);
INSERT INTO `sys_role_menu` VALUES (2, 1032);
INSERT INTO `sys_role_menu` VALUES (2, 1033);
INSERT INTO `sys_role_menu` VALUES (2, 1034);
INSERT INTO `sys_role_menu` VALUES (2, 1035);
INSERT INTO `sys_role_menu` VALUES (2, 1036);
INSERT INTO `sys_role_menu` VALUES (2, 1037);
INSERT INTO `sys_role_menu` VALUES (2, 1038);
INSERT INTO `sys_role_menu` VALUES (2, 1039);
INSERT INTO `sys_role_menu` VALUES (2, 1040);
INSERT INTO `sys_role_menu` VALUES (2, 1041);
INSERT INTO `sys_role_menu` VALUES (2, 1042);
INSERT INTO `sys_role_menu` VALUES (2, 1043);
INSERT INTO `sys_role_menu` VALUES (2, 1044);
INSERT INTO `sys_role_menu` VALUES (2, 1045);
INSERT INTO `sys_role_menu` VALUES (2, 1046);
INSERT INTO `sys_role_menu` VALUES (2, 1047);
INSERT INTO `sys_role_menu` VALUES (2, 1048);
INSERT INTO `sys_role_menu` VALUES (2, 1049);
INSERT INTO `sys_role_menu` VALUES (2, 1050);
INSERT INTO `sys_role_menu` VALUES (2, 1051);
INSERT INTO `sys_role_menu` VALUES (2, 1052);
INSERT INTO `sys_role_menu` VALUES (2, 1053);
INSERT INTO `sys_role_menu` VALUES (2, 1054);
INSERT INTO `sys_role_menu` VALUES (2, 1055);
INSERT INTO `sys_role_menu` VALUES (2, 1056);
INSERT INTO `sys_role_menu` VALUES (2, 1057);
INSERT INTO `sys_role_menu` VALUES (2, 1058);
INSERT INTO `sys_role_menu` VALUES (2, 1059);
INSERT INTO `sys_role_menu` VALUES (2, 1060);
INSERT INTO `sys_role_menu` VALUES (100, 2000);
INSERT INTO `sys_role_menu` VALUES (100, 2007);
INSERT INTO `sys_role_menu` VALUES (100, 2008);
INSERT INTO `sys_role_menu` VALUES (100, 2009);
INSERT INTO `sys_role_menu` VALUES (100, 2010);
INSERT INTO `sys_role_menu` VALUES (100, 2011);
INSERT INTO `sys_role_menu` VALUES (100, 2012);
INSERT INTO `sys_role_menu` VALUES (100, 2013);
INSERT INTO `sys_role_menu` VALUES (100, 2014);
INSERT INTO `sys_role_menu` VALUES (100, 2015);
INSERT INTO `sys_role_menu` VALUES (100, 2016);
INSERT INTO `sys_role_menu` VALUES (100, 2017);
INSERT INTO `sys_role_menu` VALUES (100, 2018);
INSERT INTO `sys_role_menu` VALUES (100, 2021);
INSERT INTO `sys_role_menu` VALUES (100, 2022);
INSERT INTO `sys_role_menu` VALUES (100, 2029);

-- ----------------------------
-- Table structure for sys_user
-- ----------------------------
DROP TABLE IF EXISTS `sys_user`;
CREATE TABLE `sys_user`  (
  `user_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '用户ID',
  `dept_id` bigint(20) NULL DEFAULT NULL COMMENT '部门ID',
  `user_name` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '用户账号',
  `nick_name` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '用户昵称',
  `user_type` varchar(2) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '00' COMMENT '用户类型（00系统用户）',
  `email` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '用户邮箱',
  `phonenumber` varchar(11) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '手机号码',
  `sex` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '用户性别（0男 1女 2未知）',
  `avatar` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '头像地址',
  `password` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '密码',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '帐号状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `login_ip` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '最后登录IP',
  `login_date` datetime(0) NULL DEFAULT NULL COMMENT '最后登录时间',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`user_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 101 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '用户信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_user
-- ----------------------------
INSERT INTO `sys_user` VALUES (1, 100, 'admin', '开发者', '00', 'ry@163.com', '15888888888', '1', '', '$2a$10$7JB720yubVSZvUI0rEqK/.VqGOZTH.ulu33dHOiBE8ByOhJIrdAu2', '0', '0', '127.0.0.1', '2024-03-31 22:28:47', 'admin', '2024-03-31 01:19:09', '', '2024-03-31 22:28:46', '管理员');
INSERT INTO `sys_user` VALUES (2, 100, 'ry', '开发者', '00', 'ry@qq.com', '15666666666', '1', '', '$2a$10$7JB720yubVSZvUI0rEqK/.VqGOZTH.ulu33dHOiBE8ByOhJIrdAu2', '0', '0', '127.0.0.1', '2024-03-31 01:19:09', 'admin', '2024-03-31 01:19:09', '', NULL, '测试员');
INSERT INTO `sys_user` VALUES (100, 100, 'test1', '测试用户', '00', '', '', '0', '', '$2a$10$zJAQCR3liQBeTUIBezDokuGP3Md.NsYtVJix4k8eNWP48Ri6Sd0ya', '0', '0', '127.0.0.1', '2024-03-31 22:35:35', 'admin', '2024-03-31 22:05:39', '', '2024-03-31 22:35:35', NULL);

-- ----------------------------
-- Table structure for sys_user_post
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_post`;
CREATE TABLE `sys_user_post`  (
  `user_id` bigint(20) NOT NULL COMMENT '用户ID',
  `post_id` bigint(20) NOT NULL COMMENT '岗位ID',
  PRIMARY KEY (`user_id`, `post_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '用户与岗位关联表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_user_post
-- ----------------------------
INSERT INTO `sys_user_post` VALUES (1, 1);
INSERT INTO `sys_user_post` VALUES (2, 2);

-- ----------------------------
-- Table structure for sys_user_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_role`;
CREATE TABLE `sys_user_role`  (
  `user_id` bigint(20) NOT NULL COMMENT '用户ID',
  `role_id` bigint(20) NOT NULL COMMENT '角色ID',
  PRIMARY KEY (`user_id`, `role_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '用户和角色关联表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_user_role
-- ----------------------------
INSERT INTO `sys_user_role` VALUES (1, 1);
INSERT INTO `sys_user_role` VALUES (2, 2);
INSERT INTO `sys_user_role` VALUES (100, 100);

SET FOREIGN_KEY_CHECKS = 1;
